Introduction

Dovetail Admin allows you to manage administrative tasks for your Clarify and Dovetail systems.

In This Chapter

Getting Help

Next

Getting Help
Introduction

Did this topic help you? Email us your feedback.
Last updated: 10/16/2007 10:17:43 AM
© by Dovetail Software, Inc.


Getting Help

If you need additional help beyond this user guide, you can use any of the following resources:

  • Dovetail SelfService - Use our online customer support site to notify us of a support issue, to manage your Dovetail products, to seek sales support, or to search the knowledge base.
  • Knowledge Base Articles - Search our online knowledge base for existing issue resolutions.
  • Product Documentation - Find Dovetail's most up-to-date product documentation.
  • Blog Posts - Dovetail developers often publish useful posts about Dovetail Carrier
  • Contact Us - Contact us directly if you need further assistance.
    • support@dovetailsoftware.com
    • phone 800-684-2055 or 512-610-5400

See Also

Introduction

Next

Upgrade Guide and New Features
Getting Help

Did this topic help you? Email us your feedback.
Last updated: 10/28/2015 3:33:49 PM


Upgrade Guide and New Features

In This Chapter

Upgrading Dovetail Admin

Version 3.6

Version 3.5

Version 3.4

Version 3.3

Version 3.2

Version 3.1

Version 3.0

Version 2.11

Version 2.10

Version 2.9

Version 2.8

Version 2.7

Version 2.6

Version 2.5

Version 2.4

Version 2.3

Version 2.2

Version 2.1

Version 2.0

Next

Installation Guide

Upgrading Dovetail Admin

  1. Backup your entire $admin/pages directory.
  2. Copy all of the files under the new $admin/pages directory to your server.
  3. Copy your backup $admin/pages/fc.env file into the pages directory.
  4. If you had previously modified any baseline pages, merge your changes in with the latest baseline version.
  5. Use dataex.exe or diet.exe to import privclass_import.dat from the files directory. It contains the web privclass information that you need for Dovetail Admin.
  6. Edit the admin_password_reset_config.dat located in the files directory. It contains the configuration settings for the User Password Reset functionality. When the file has been updated, use dataex.exe or diet.exe to import it.

Version 3.6

Enhancements:

  • Redesigned the way how custom events and custom event creation times are handled on Business Rule page by getting away with customizing of the \pages\biz_rule\inc_lists.asp module:
    • Added dynamic handling of custom events for business rules.
    • Added dynamic handling of custom event creation times for business rule actions.
  • Auto-Destination rules management: Rule Expressions can use OTM relations with conditions.

Bug Fixes:

  • Manage Queries page - eliminated duplicate view names from the grid of Available Objects.
  • Auto-Destination rules management:
    • fixed the object type for bug object (Change Request).
    • added handling of empty rules and multiple Change Request rules.
    • fixed delete rule action.

Upgrading to Version 3.6

  1. Install Dovetail SDK version 3.4.0 or higher.
  2. If you have customized the \pages\biz_rule\inc_lists.asp module to include any custom events and/or custom event creation times for business rules and their actions, follow this guide to move these custom items to custom_event_creation_times.dat and custom_events.dat files.
  3. Import the custom_event_creation_times.dat and custom_events.dat files.
  4. Merge in any of your customizations with the new baseline pages. Important note: If you have customized Dovetail Admin or you are planning to customize it in the future, and will be using Microsoft Internet Explorer version higher than 8, you must consider the guidelines explained in Internet Explorer Compatibility Considerations section of Dovetail Agent documentation.

Version 3.5

Enhancements:

  • Added handling of privclass.trans_mask filelds larger than 255 characters, effectively enabling *unlimited* number of transitions.
  • Auto-Destination rules management: property path field is editable now to allow adding of conditions.
  • Business rules now support a new action message type of "Carrier Message". This is primarily used as part of the Dovetail Task Manager module, which is a replacement for Clarify Task Manager. For more information on Dovetail Task Manager, refer to the Dovetail Agent documentation.

Bug Fixes:

  • Auto-Destination rules management:
    • Fixed a bug related to incorrect expression operators shown for certain column types.
    • Fixed property path problem when a condition is present.
    • Added handling of session expiration situation.

Upgrading to Version 3.5

  1. Install Dovetail SDK version 3.4.0 or higher.
  2. Merge in any of your customizations with the new baseline pages. Important note: If you have customized Dovetail Admin or you are planning to customize it in the future, and will be using Microsoft Internet Explorer version higher than 8, you must consider the guidelines explained in Internet Explorer Compatibility Considerations section of Dovetail Agent documentation.

Version 3.4

Enhancements:

  • Business Rule Property path can start with focus_obj2... and also contain SQL constraints.

Bug Fixes:

  • Removed the maxlength property on the Password field on the Login page.
  • Fixed a bug with restriction table check.

Upgrading to Version 3.4

  1. Install Dovetail SDK version 3.3.7 or higher. Important note: In the web.config file, the specific version of the SDK assemblies is specified. Dovetail SDK 3.3.7 shipped as version 3.3.7.#, and is the default. These assembly bindings will need to be updated if a later version of the SDK is installed.
  2. Merge in any of your customizations with the new baseline pages. Important note: If you have customized Dovetail Admin or you are planning to customize it in the future, and will be using Microsoft Internet Explorer version higher than 8, you must consider the guidelines explained in Internet Explorer Compatibility Considerations section of Dovetail Agent documentation.

Version 3.3

Enhancements:

  • When creating new users (employees), there is now a configuration option that controls if the user is added as a database user. The default behavior is to add the user to the database, but when Windows Authentication is being used, adding a database user is not necessary. This option can be set in the Configuration Items page, and can be initially set by editing and importing the configuration item named "Use_Database_Logins". It is defined in the admin_config.dat file.
  • Password validation rules were updated.
  • If the table_user.x_windows_login_name column exists, then the Create/Edit employee page will show a Windows Login Name field. This is used in conjunction with Dovetail Agent implementations that use Windows Authentication.
  • When a user (employee) is updated, the modify timestamp for the employee is now updated as well.

Bug Fixes:

  • When users are added or removed as members of a Workgroup, the queues for the workgroup are now getting updated for the user correctly. This also applies when changing a user's Workgroup assignment from the Users/Employees edit page.
  • Removed the extra link for the Privilege Class Usage Report.
  • Fixed the saving of rules in Auto-Destination Rules. The selected Object Type is now set correctly for the path editor.
  • Fixed selection of the resource config for a Workgroup.

Upgrading to Version 3.3

  1. Install Dovetail SDK version 3.3.6 or higher. Important note: In the web.config file, the specific version of the SDK assemblies is specified. Dovetail SDK 3.3.6 shipped as version 3.3.6.34, and is the default. These assembly bindings will need to be updated if a later version of the SDK is installed.
  2. Edit and Import the admin_config.dat file.
  3. Merge in any of your customizations with the new baseline pages. Important note: If you have customized Dovetail Admin or you are planning to customize it in the future, and will be using Microsoft Internet Explorer version higher than 8, you must consider the guidelines explained in Internet Explorer Compatibility Considerations section of Dovetail Agent documentation.

Version 3.2

Enhancements:

  • When creating new users (employees), there is now an option to set the user's password for them, or send then an email telling them that their account has been created. This email will contain a link to where they can set their own password. For more information, see User Passwords.
  • When updating users (employees), there is now an option to send the user an email with instructions on how to reset their own password, as opposed to an administrator setting it for them. For more information, see User Passwords.
  • Added ability to enforce Password Validation Rules. For more information, see User Passwords.
  • Auto-Destination will now load rules for both "Bug" and "Change Request" objects.
  • Added ability to define query paths that end with a relation so that '[does not] exist' type of searches are possible. If the relation is not set, then the related object will not be found.
  • Added Privilege Class option to allow CR records to be modified by users who do not own the CR.

Bug Fixes:

  • For the Admin Reports being run in Oracle, the average number of sessions was causing an overflow error. The average number of sessions is now rounded off to two decimal places.
  • When Part Revisions are being added or updated, then update the x_modify_stmp field if it exists on the mod_level table.

Upgrading to Version 3.2

  1. Edit and import the admin_password_reset_config.dat file.
  2. Import the admin_new_user_account.dat file.
  3. Import the admin_password_reset.dat file.
  4. To install the updates and the new files included with this release, copy all of the files under the \pages directory to the system.
  5. Merge in any of your customizations with the new baseline pages. Important note: if you have customized Dovetail Admin or you are planning to customize it in the future, and will be using Microsoft Internet Explorer version higher than 8, you must consider the guidelines explained in Internet Explorer Compatibility Considerations section of Dovetail Agent documentation.

Version 3.1

Enhancements:

  • Added support for Microsoft Internet Explorer 10 and 11.
  • The Multi-level Drop-down List editor now handles special characters.
  • Queries - Added a feature to designate a workflow object for query objects.

Bug Fixes:

  • Queries - Fixed an issue with conflicting INNER and OUTER joins on the same property path.
  • Flashes Anywhere - Fixed an issue where a flash table would be deleted or renamed even if any flashes for it exist.
  • Status Codes, Application Lists - Fixed a bug which prevented new elements to be added.

Upgrading to Version 3.1

  1. Install the latest version of the Dovetail SDK.
  2. Note: As of this release Dovetail Admin now requires the web application use a .Net 4.0 Application Pool with an "Integrated" Managed Pipeline.
  3. To install the updates and the new files included with this release, copy all of the files under the \pages directory to the system.
  4. Merge in any of your customizations with the new baseline pages. Important note: if you have customized Dovetail Admin or you are planning to customize it in the future, and will be using Microsoft Internet Explorer version higher than 8, you must consider the guidelines explained in Internet Explorer Compatibility Considerations section of Dovetail Agent documentation.

Version 3.0

Enhancements:

  • Added a Business Rule Usage Report
  • Added a Dovetail Agent Login Report
  • Added Workgroups to manage details for groups of employees
  • Dovetail Admin is now a hybrid ASP classic and ASP.Net application. This change allows us to provide new functionality in cases where ASP Classic is limited.
  • User Defined List elements can now be sorted and an element can be moved to the top of the list with one button click.

Bug Fixes:

  • Cloning a User Defined List element with many descendant elements performs much better.

Upgrading to Version 3.0

  1. Install the latest version of the Dovetail SDK.
  2. Note: As of this release Dovetail Admin now requires the web application use a .Net 4.0 Application Pool with an "Integrated" Managed Pipeline.
  3. This release includes a schema change. Please see Compile the Clarify Schema Changes.
  4. Install the configuration file for Workgroups (optional)
    • Import the following data file into your system with Dataex or ArchiveManager:
      • admin_wg_config.dat (Workgroup Propagation config item)
  5. To install the updates and the new files included with this release, copy all of the files under the \pages directory to the system.
  6. Merge in any of your customizations with the new baseline pages.

Version 2.11

Enhancements:

  • Added extensive server-side privilege verification throughout Dovetail Admin to ensure pages can only be processed by authorized users.
  • Added a Privilege Class Summary, which will display a grid view of all privilege classes, and the enabled privileges for each privilege class. It will also show the allowable Logistics and Quality Transitions for each privilege class. This data can also be exported to Microsoft Excel.
  • Added new Auto-Destination privilege class to control access to Auto-Destination Rules. Use dataex.exe or diet.exe to import privclass_import.dat from the files directory to add the new privilege class.

Bug Fixes:

  • Saving a new Privclass was causing an error to be reported: "Error saving Prov Class (20051) The supplied value 'undefined' is not a valid integer". The error was found and fixed in web_privclass2.asp.
  • Added other object types to Auto-Destination Rule editor, and fixed a few small errors:
    • added quotes around literal values used in conditions
    • fixed user/queue selection grid to show more than 20 rows for selection
    • fixed the path editor where it was not passing the correct table name (Solution, Part Request Detail, etc.)

Upgrading to Version 2.11

  1. Install the latest version of the Dovetail SDK.
  2. Use dataex.exe or diet.exe to import privclass_import.dat from the files directory. It contains the web privclass information that you need for Dovetail Admin.
  3. To install the updates and the new files included with this release, copy all of the files under the \pages directory to the system.
  4. Merge in any of your customizations with the new baseline pages.

Version 2.10

Enhancements:

  • Added Auto-destination rules editor/tester.
  • Login - Added better error handling when the user name or password is incorrect. An informative message displays as the login page is reloaded.
  • Added Privilege Class User management to update the online and offline Privilege Classes for users.
  • Added ability to copy an existing Privilege Class to a new Privilege Class with its web commands set the same.
  • Changed styles for queue grids to match the grids used everywhere else.
  • Changed style on path editor field and relation tables when viewed from the Rule Properties page.
  • When changing User Passwords in Oracle, added enforcement of the rule that Passwords must start with a letter.
  • Improved the performance of viewing Queue activity logs (added in Dovetail Admin 2.9) by adding a new index to the act_entry table. This allows the activity entries for each queue to be easily retrieved from the table.

Bug Fixes:

  • Fixed error detection and handling for countries that are missing states or timezones. This error occurs after adding a new country and refreshing the cache, then trying to add timezones, zipcodes, or states.
  • Business Rule Conditions that use the IS IN operator now get the list operand wrapped in parentheses.
  • Added validation and error handling for login attempts, and provide a better error message for failed attempts.
  • Fixed the Play List feature in User Defined Lists so the overlay does not mask the drop-down controls.
  • Added filters when querying for part numbers and currency so that database records with objid = -2 are not shown.

Upgrading to Version 2.10

  1. Install the latest version of the Dovetail SDK.
  2. Add the following item to your database schema. The new item is documented in the schema files, found in the \schema directory.
    • New Index: focus_index on act_entry table (21)
  3. To install the updates and the new files included with this release, copy all of the files under the \pages directory to the system.
  4. Merge in any of your customizations with the new baseline pages.

Version 2.9

Terminology Changes:

  • fcQuery has been renamed to 'Queries'. However, 'fcQuery Objects' remains in use as a name of the privilege allowing to use the Queries.

New Features:

  • Managing Queues: Activity Entry records are now created anytime that queues are added, modified, or deleted. Also, Member and Supervisor changes are tracked as activity. There are 7 new activity codes that need to be imported to track the Queue Management activity. Import the admin_config.dat file found under the files folder in the Dovetail Admin installation folder.
  • Managing Activity Codes: The Activity Codes that are associated with activity entries can now be maintained in Dovetail Admin. Custom Activity Codes can be added, modified, and removed. For baseline Activity Codes, the title can be changed, and the code can be made Active or Inactive.
  • Queries Management: allows to find a Queries object by name.

Bug Fixes:

  • Added check on the Part pages that prevents an error where the "abc_code" and "turn_ratio" fields on the "part_stats" table are used when those fields are not present in the database schema.
  • A new Privilege Class did not have the correct transition mask settings applied. Now the two fields on the privclass record are properly initialized.
  • Queries objects will not allow FULL OUTER JOINs for Oracle database version 8.x because they are not natively supported in Oracle v.8.x.

Version 2.8

New Features:

  • Managing Queues has again been made easier by allowing employees to be filtered for selection by first name, last name, and work group - in addition to login name.

Bug Fixes:

  • Playing user lists could get an error if the element name had special characters, such as "&". Also corrected to only show active and default elements sorted by rank.

Version 2.7

New Features:

  • Managing Queues has been made easier by allowing multiple selection of employees when adding to (or removing from) the member/supervisor lists.

Bug Fixes:

  • Very large user lists could get an error when trying to drill down into lower levels. To allow for this, the level processing was changed from GET to POST, which allows for larger data sets to be passed to the server.

Version 2.6

New Features:

  • User Defined Lists has been upgraded, simplifying the maintenance process and adding the ability to manage extremely large lists.
  • Managing Queues has been made easier by adding employee first and last names to the membership lists.

Version 2.5

New Features:

  • Users can now create new privilege classes. See the Add a Privilege Class section for more information.
  • Users can modify existing privilege class details, such as the Privilege Class Name, Member Type, Description, Password Duration, and Password Expiration Warning.

Version 2.4

New Features:

  • Administration of Part Numbers and Revisions
  • Administration of Part Classes
  • The styles and usability of the navigation menu has been improved.
  • The privilege for managing contacts/web users has been renamed from "Contacts" to "Web Users."

Bug Fixes:

  • The op1_type and op2_type values in table_rule_cond were not being set properly when adding a new condition to a business rule. This has been resolved.

Version 2.3

Dovetail Admin has been enhanced with a number of new useful pages. You may now perform the following actions in Dovetail Admin:

  • Manage Business Rules
  • Manage Business Rule Properties
  • Manage User Defined Lists
  • Manage Part Catalogs

In addition, Dovetail Admin has the following enhancements:

  • The styles of the user interface have been modified
  • Dovetail Admin is now privilege class enabled. This means that in order for users to use the features of Dovetail Admin, they must have been granted the privileges to do so. Each feature of Dovetail Admin has a privilege. These privileges can be setup using the Privilege Classes form. Note: The user "sa" is automatically granted full access to Dovetail Admin.
  • This version of Dovetail Admin ships with a SchemaScript file, allowing database schema changes to be performed using the Dovetail SchemaEditor.

Version 2.2

Dovetail Admin now allows maintenance of flash tables for use with the Flashes Anywhere Dovetail Agent product implementation. For more information, go to the Flash Tables section.

Version 2.1

Version 2.1 of Dovetail Admin adds the following enhancements:

Dovetail SDK
Dovetail Admin now supports the use of the Dovetail SDK for Clarify, as well as FCFL.NET and FCFL for the underlying platform. Use of the Dovetail SDK is highly recommended, because it is the most scalable and highest performing infrastructure.

Queries object enhancements
Managing Queries objects has three new major enhancements. At the Queries object level, there is now a way to designate a function to be used to open a record from that database object when viewed in the query output results grid. For the columns, output of each column can be passed through an output function to change how the data appears in the query output results grid.

Any Queries object can also have an id field declared, which allows views to be opened from the query output results grid. These new enhancements require schema changes that are provided with Dovetail Agent version 3.7.

Version 2.0

Version 2.0 of Dovetail Admin is a major new release of the product that contains many new enhancements and features, as well as some bug fixes. Additionally, this release is the first release of Dovetail Admin that is shipped as a standalone product. Previously this product was included as part of FCFL. As of this version, the Dovetail Admin product can be run on top of either FCFL or FCFL.NET (in compatibility mode).

IMPORTANT: A new mandatory view field has been added to the schema. Existing Dovetail Admin users MUST add this new view field to their schema. The field is table_trans_view.description, and is described in the FCFL or FCFL.NET schema files.

Dovetail Admin has been enhanced with a number of new useful pages. You may now perform the following actions in Dovetail Admin:

  • States
  • Countries
  • Currencies
  • Time Zones
  • Zipcodes
  • Quality Transitions
  • Logistics Transitions
  • Part Domains

The Resource Configuration page also has been augmented so that it now allows users to add, replace, or delete resource configurations.

The Queues page has been significantly rewritten to provide functionality a little more similar to that found in base Clarify. Please see the Queues section for more details.

The web command Dovetail Admin page has been enhanced to support fcSales-based web commands.

Upgrade Guide and New Features

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 9:12:27 AM


Installation Guide

In This Chapter

Before You Begin

Installing Dovetail Admin

Next

Before You Begin
Installation Guide

Did this topic help you? Email us your feedback.
Last updated: 8/16/2007 3:09:13 PM


Before You Begin

Review this section before you begin the installation.

See Also

Installation Guide

Installing Dovetail Admin

Next

Requirements
Before You Begin

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 9:48:07 AM


Requirements

Client Requirements

Web Browser
  • Microsoft Internet Explorer 7, 8, 9, 10, 11

Server Requirements

Dovetail Products
  • Dovetail SDK version 3.0 or higher
    • Interfaces Toolkit license is required

Operating System
  • Microsoft Windows Server 2003, 2008
  • Microsoft .NET Framework 4.0 Full version

Note: Some Windows versions include the .Net 4 Client Profile. This is not sufficient for Dovetail Admin.

Web Server
  • Microsoft IIS Version 6.0 and 7.x
  • The web application application pool should use the Microsoft .NET Framework 4.0 with the Managed Pipeline in Integrated mode.
  • ASP.NET must be registered with IIS

Clarify Version
  • 7.0 or later

Tools
  • Dovetail SchemaEditor or Data Dictionary Editor (DD Editor)
  • Dovetail ArchiveManager (DIET) or Data Exchange (Dataex)

Other Tools
  • SQL query tool (capable of executing SQL statements)
  • Unzip utility

See Also

Before You Begin

Limitations

Performance

Next

Limitations
Requirements

Did this topic help you? Email us your feedback.
Last updated: 2/24/2014 4:46:44 PM


Limitations

The Dovetail Admin forms are not internationalized.

See Also

Before You Begin

Requirements

Performance

Next

Performance
Limitations

Did this topic help you? Email us your feedback.
Last updated: 7/19/2007 9:46:23 AM


Performance

Dovetail Admin has no known performance issues.

See Also

Before You Begin

Requirements

Limitations

Next

Installing Dovetail Admin
Performance

Did this topic help you? Email us your feedback.
Last updated: 7/25/2007 3:40:32 PM


Installing Dovetail Admin

Installation Notes and Recommendations

  • Before installing Dovetail Admin on a production system, we recommend installing Dovetail Admin on a test system first to get familiar with it.
  • Install the Dovetail Admin files on each server that will act as a web server for the program.
  • Uncompress the Dovetail Admin zip file into a dovetail subdirectory. In this document, all examples will use "c:\dovetail\admin" as the install folder.

To complete the installation, follow the steps in this section.

See Also

Installation Guide

Before You Begin

Next

Install the Dovetail SDK
Installing Dovetail Admin

Did this topic help you? Email us your feedback.
Last updated: 1/10/2012 12:25:27 PM


Install the Dovetail SDK

  1. Install the Dovetail SDK. The Dovetail SDK includes Dovetail SDK and Dovetail API toolkits. Please see the Dovetail SDK documentation for more details.
  2. Use the License Installer to install your license key(s).
  3. Run the Data Verifier to check that there are no inconsistencies or bad data that might prevent Dovetail SDK from initializing properly. The Data Verifier and License Installer are shipped with the Dovetail SDK.

See Also

Installing Dovetail Admin

Update the Clarify Schema

Set Configuration Items

Import the Data Files

Configure the Web Server

Edit the fc.env File

Test the Connection

Grant Permissions

Add Performance Indexes

Next

Update the Clarify Schema
Install the Dovetail SDK

Did this topic help you? Email us your feedback.
Last updated: 1/10/2012 12:25:52 PM


Update the Clarify Schema

You can change the Clarify schema with either Dovetail's SchemaEditor or Clarify's DDEditor.

Prior to making schema changes, backup the current database.

To make these changes using Dovetail SchemaEditor:

  1. Edit the .SchemaEditor file
    • Set the database connection information.
    • Set the inputFilePath to dovetail_admin.schemascript.xml
  2. Preview the changes (SchemaEditor.exe -p).
  3. Apply the changes (SchemaEditor.exe -a).

To make these changes using Clarify DDEditor:

  1. Start the DD Editor program.
  2. To save a copy of the database schema to disk, select Save.
  3. Edit the saved schema file.
  4. Edit the dovetail_admin_schema.sch file. Follow the directions in that file to cut/paste the schema changes into the saved schema file. Use the Apply Changes menu item to compile the new saved schema file.
  5. Exit DD Editor.

See Also

Installing Dovetail Admin

Install the Dovetail SDK

Set Configuration Items

Import the Data Files

Configure the Web Server

Edit the fc.env File

Test the Connection

Grant Permissions

Add Performance Indexes

Next

Set Configuration Items
Update the Clarify Schema

Did this topic help you? Email us your feedback.
Last updated: 1/9/2012 12:45:08 PM


Set Configuration Items

Review and set the configuration items in the appropriate DAT file, which can be modified with any text editor. After saving your changes, import the DAT file into the database as described in the Import the Data Files section.

File: admin_config.dat

Configuration Item Name | Description and Valid Values
Use_Database_Logins | DEFAULT: i_value = 1 When creating new employees, does the user get added to the database 0 = no 1 = yes

File: admin_wg_config.dat

Configuration Item Name | Description and Valid Values
Workgroup_Propagate | DEFAULT: str_value = always When adding members to a workgroup, should the workgroup properties get propagated to the members? Valid values: always, ask, never

File: admin_password_reset_config.dat

Configuration Item Name | Description
UserPasswordResetUrl | The url where users go to set/reset their password Examples: for Dovetail Agent 5: str_value = "http://server/user/password/reset/"; for Dovetail Agent 4: str_value = "http://server/agent/login/resetPassword.asp?token="; for Dovetail Mobile : str_value = "http://server/mobile/Credential/ResetPassword?token=";

See Also

Installing Dovetail Admin

Install the Dovetail SDK

Update the Clarify Schema

Import the Data Files

Configure the Web Server

Edit the fc.env File

Test the Connection

Grant Permissions

Add Performance Indexes

Next

Import the Data Files
Set Configuration Items

Did this topic help you? Email us your feedback.
Last updated: 9/15/2015 12:41:02 PM


Import the Data Files

Note: Typically, you will not need to edit any of these data files. If needed, edit and save the data file first before importing it.

Import these data files found in the files directory, which contain web privclass, configuration, and list information needed for Dovetail Agent:

  • privclass_import.dat
  • admin_config.dat
  • admin_wg_config.dat
  • admin_password_reset_config.dat
  • admin_new_user_account.dat
  • admin_password_reset.dat

To import the data files using Dovetail ArchiveManager (DIET)

Execute the following command:

<path>\diet.exe
-user_name <user>
-password <pass>
-db_server <serv>
-db_name <db>
-import <file>
where:
<path> is the path to the dataex program
<user> is the system administrator user
<pass> is the system administrator password
<serv> is the database server name
<db> is the database name
<file> is the name of the file to import. If the <file> is not in the current directory, specify the path to the directory it is in.

To import the data files using dataex

Execute the following command:

<path>\dataex
-user_name <user>
-password <pass>
-db_server <serv>
-db_name <db>
-imp <file>
where:
<path> is the path to the dataex program
<user> is the system administrator user
<pass> is the system administrator password
<serv> is the database server name
<db> is the database name
<file> is the name of the file to import. If the <file> is not in the current directory, specify the path to the directory it is in.

Note: Each file should import with 0 errors and 0 warnings. If there are any errors or warnings, examine the dataex.mes file for possible problems.

See Also

Installing Dovetail Admin

Install the Dovetail SDK

Update the Clarify Schema

Set Configuration Items

Configure the Web Server

Edit the fc.env File

Test the Connection

Grant Permissions

Add Performance Indexes

Next

Configure the Web Server
Import the Data Files

Did this topic help you? Email us your feedback.
Last updated: 3/4/2014 10:49:31 AM


Configure the Web Server

Configure the web server to support Dovetail Admin.

If you are using IIS6 (on Windows Server 2003), refer to the IIS6 Setup Instructions.

If you are using IIS7 (on Windows 7 or Windows Server 2008), refer to the IIS7 Setup Instructions.

See Also

Installing Dovetail Admin

Install the Dovetail SDK

Update the Clarify Schema

Set Configuration Items

Import the Data Files

Edit the fc.env File

Test the Connection

Grant Permissions

Add Performance Indexes

Next

IIS6
Configure the Web Server

Did this topic help you? Email us your feedback.
Last updated: 1/10/2012 12:27:47 PM


IIS6

Note: The following assumes IIS version 6.0 on Microsoft Windows 2003. Your system may vary slightly.

Install IIS

First, in order to run ASP applications, you must have the Internet Information Server installed. This is installed as part of the "Application Server" role.

  1. Open the Manage Server Console (Start menu->Manage Your Server in the upper-left of the Start Menu)
  2. If the "Application Server" role is not already listed, click "Add or Remove role" and select the Application Server role.

Enable Classic ASP, Server Side Includes, and ASP.NET

ASP is disabled by default on Windows 2003. You must explicitly enable ASP and Server Side Includes.

  1. Open the IIS Manager(Start->Administrative Tools->Internet Information Services (IIS) Manager)
  2. Expand the Internet Information Services (IIS) Manager in the tree view on the left and then expand your computer's tree node.
  3. Click on the "Web Service Extensions" node.
  4. Click on "Active Server Pages" then click the "Allow" button.
  5. Click on "Server Side Includes" then click the "Allow" button.

Make sure ASP.NET v4 is properly registered with IIS

Depending on the sequence of install and role addition operations it may happen that ASP.NET v4 is not properly registered with IIS.

To verify, open a Command Prompt window as an Administrator, navigate to C:\Windows\Microsoft.NET\Framework\v4.0.30319 folder, and execute this command:
aspnet_regiis -lv

The output produced should contain a line like this one:

4.0.30319.0 Valid (Root) C:\Windows\Microsoft.NET\Framework\v4.0.30319\aspnet_isapi.dll

If it does not, execute this command:

aspnet_regiis.exe -i

If your server is a 64-bit machine, you may need to do the same from C:\Windows\Microsoft.NET\Framework64\v4.0.30319 folder.

Note: It's important that the 4.0.30319.0 version of ASP.NET is set as Root. Your system is likely to have multiple versions of ASP.NET installed. If the 4.0.30319.0 version of ASP.NET is not listed as the Root one, execute aspnet_regiis.exe -i and follow with aspnet_regiis.exe -lv to verify.

Create an Application Pool

  1. Open Internet Information Services (IIS) Manager
  2. Click on your computer host name to expand the top-level node.
  3. Click on Application Pools.
  4. Right-click on Application Pools and choose Add Application Pool.
  5. Enter a name, such as Dovetail Agent_AppPool
  6. Click OK to create the Application Pool.

Create the web application(s)

  1. Open Internet Information Services (IIS) Manager
  2. Click the tree node icon on your computer host name (or double-click the computer host name) to expand the top-level node.
  3. Within the Web Sites node, right-click Default Web Site and select New and Virtual Directory.
  4. In the Virtual Directory Creation Wizard, select Next to continue.
  5. In the Alias text box, type a short name (alias) for the directory into which the Dovetail Admin product was installed (i.e. agent). The alias is what users see as part of the URL path when they are browsing to the Dovetail Admin web application (for example, http://www.MyCompany.com/< agent >).
  6. Select Next.
  7. Enter the path, or browse to the directory which contains the Dovetail Admin web application files (the 'pages' folder under the installation directory).
  8. Select Next and set the access permissions to Read and Run Scripts.
  9. Select Next and then Finish.
  10. In the left pane of the Internet Information Services (IIS) Manager, select Default Web Site, and then press the F5 key to refresh the list of virtual folders.
  11. Right-click on the root of your Dovetail Admin web application, choose Properties. In the Application Pool drop-down list, select the application pool created above.
  12. Click on the ASP.Net Tab. In the ASP.Net Version drop down select version 4.0.x of the Microsoft .Net Framework.
  13. Choose OK.

    Note: Notice that the virtual folder of your newly created application appears under the alias name you supplied previously. Also note that the icon for your virtual folder appears as a yellow gear icon. This means that your application is set up and ready to host ASP pages.

Enable Parent Paths

Parent Paths need to be enabled when an asp page includes a script with a path containing a ".." An example would be:

<!--#include file="../include/inc_room.asp"-->

Dovetail Admin does use parent paths.

  1. Navigate to your web application in IIS Manager.
  2. Right click on the virtual root(s) you created for Dovetail Admin and select Properties
  3. On the "Virtual Directory" tab of the property page that appears, click the "Configuration" button under the "Application Settings" section.
  4. Click on the "Options" tab of the new property page that appears
  5. Check the Enable Parent Paths checkbox.

Enforce Compatibility Level

For Dovetail Admin to work with all versions of MS Internet Explorer equal to and higher than 8, a proper HTTP Response Header must be set:

  1. Navigate to your web application in IIS Manager.
  2. Right click on the virtual root you created for Dovetail Admin and select Properties.
  3. Click on HTTP Headers tab.
  4. Within Custom HTTP headers group, click Add.
  5. Use X-UA-Compatible as a header name and IE=5 as a value.

Click OK, then Apply.

Make sure all managed modules can process all requests

Dovetail Admin ships with web.config file containing this setting:

<modules runAllManagedModulesForAllRequests="true"></modules>

It is required on Windows Server 2008 or earlier. If not present, it may cause HTTP error 404 on clone and delete actions against user-defined pop-up list element.

Consult this article for details.

Send Script Errors To The Browser

When you try to browse your web application you may run into this message telling you... "Something went going wrong but sorry I won't tell you what." That error looks like this:"

An error occurred on the server when processing the URL. Please contact the system administrator.
If you are the system administrator please click here to find out more about this error.

To see the actual error, you can configure the application to send errors to the browser. This is helpful when debugging a problem.

  1. Navigate to your web application in IIS Manager.
  2. Right click on the virtual root(s) you created for Dovetail Admin and select Properties
  3. On the "Virtual Directory" tab of the property page that appears, click the "Configuration" button under the "Application Settings" section.
  4. Click on the "Debugging" tab of the new property page that appears
  5. Click on the Send detailed ASP messages to client option.

Grant filesystem permissions to the IUSR_[COMPUTERNAME] user

  1. Open My Computer or an Explorer window and navigate to the location which you installed Dovetail Admin.
  2. Right-click on the directory and click Properties.
  3. Click the "Security' tab.
  4. Click "Add" to add a new group/user.
  5. For the object name to select, type: [COMPUTERNAME]\IUSR_[COMPUTERNAME] where [COMPUTERNAME] is the Windows computer/host name of your Server (i.e. WEBSVR01).
  6. Click OK.
  7. Highlight that user in the list of Groups or users with permissions to this folder and verify that the IUSR_* user has "Read & Execute", "List Folder Contents", and "Read" permissions.

If you are using a remote file server for storage of attachments, refer to:Set IIS Configuration and Permissions for Remote File Attachments

See Also

Configure the Web Server

IIS7

Next

IIS7
IIS6

Did this topic help you? Email us your feedback.
Last updated: 2/24/2014 4:54:10 PM


IIS7

Enable Classic ASP, Server Side Includes, and ASP.NET

When you are adding the Web Server (IIS) role to Windows Server 2008 that the ASP feature is not added by default.

Start Server Manager select the Web Server (IIS) Role. Click on Add Role Services. Make sure you have ASP and Server Side Includes and ASP.NET selected.

Also select the IIS 6 Management Compatibility features which are found near the bottom of the list of features.

Make sure ASP.NET v4 is properly registered with IIS

Depending on the sequence of install and role addition operations it may happen that ASP.NET v4 is not properly registered with IIS.

To verify, open a Command Prompt window as an Administrator, navigate to C:\Windows\Microsoft.NET\Framework\v4.0.30319 folder, and execute this command:
aspnet_regiis -lv

The output produced should contain a line like this one:

4.0.30319.0 C:\Windows\Microsoft.NET\Framework\v4.0.30319\aspnet_isapi.dll

If it does not, execute this command:

aspnet_regiis.exe -i

If your server is a 64-bit machine, you may need to do the same from C:\Windows\Microsoft.NET\Framework64\v4.0.30319 folder.

Create a Application Pool

You need to run each of your Dovetail web applications in their own Application Pool.

  1. To open IIS Manager, select Start - type IIS, and select Internet Information Services (IIS) Manager
  2. Click on your computer host name to expand the top-level node.
  3. Click on Application Pools
  4. Right-click on Application Pools and choose Add Application Pool
  5. Enter a name, such as DovetailAgent_AppPool
  6. Set the .NET Framework Version to version 4.
  7. Set the Managed Pipeline Mode to Integrated.
  8. If you are running a 64bit operating system, and using the 32-bit Dovetail SDK, you will need to Enable 32-Bit Applications for the Application Pool. Click on Advanced Settings… Set Enable 32-Bit Applications to True. Note that his is not the recommendation configuration.
    The recommendation is to use the 64-bit Dovetail SDK on 64-bit systems, and leave the Enable 32-Bit Applications application pool setting set to False.

Create the web application(s)

  1. To open IIS Manager, select Start - type IIS, and select Internet Information Services (IIS) Manager
  2. Click on your computer host name to expand the top-level node.
  3. Right-click Default Web Site and select Add Application
  4. In the Alias text box, type a short name (alias) for the directory into which the Dovetail Admin product was installed (i.e. agent). The alias is what users see as part of the URL path when they are browsing to the Dovetail Admin web application (for example, http://www.MyCompany.com/< agent >).
  5. Enter the path, or browse to the directory which contains the Dovetail Admin web application files (the pages folder under the installation directory).
  6. Select the Application Pool that you created earlier
  7. Select OK.

Enable Parent Paths

Parent Paths need to be enabled when an asp page includes a script with a path containing a ".." An example would be:

<!--#include file="../include/inc_room.asp"-->

Dovetail Admin does use parent paths.

  1. Navigate to your web application in IIS7 Manager.
  2. Click on ASP.
  3. Set Enable Parent Paths to True.
  4. Click on Apply.

Enforce Compatibility Level

For Dovetail Admin to work with all versions of MS Internet Explorer equal to and higher than 8, a proper HTTP Response Header must be set:

  1. Navigate to your web application in IIS7 Manager.
  2. Click on HTTP Response Headers.
  3. On Actions pane, click Add.
  4. Use X-UA-Compatible as a header name and IE=5 as a value.

Click OK to save.

Make sure all managed modules can process all requests

Dovetail Admin ships with web.config file containing this setting:

<modules runAllManagedModulesForAllRequests="true"></modules>

It is required on Windows Server 2008 or earlier. If not present, it may cause HTTP error 404 on clone and delete actions against user-defined pop-up list element.

Consult this article for details.

Send Script Errors To The Browser

When you try to browse your web application you may run into this message telling you... "Something went going wrong but sorry I won't tell you what." That error looks like this:"

An error occurred on the server when processing the URL. Please contact the system administrator.
If you are the system administrator please click here to find out more about this error.

To see the actual error, you can configure the application to send errors to the browser. This is helpful when debugging a problem.

  1. Navigate to your web application in IIS7 Manager.
  2. Click on ASP.
  3. Expand the Debugging section
  4. Set Send Errors to Browser to True.
  5. Click on Apply.

Additional Information on configuring ASP applications on IIS7 is available online.

See Also

Configure the Web Server

IIS6

Next

Edit the fc.env File
IIS7

Did this topic help you? Email us your feedback.
Last updated: 2/24/2014 4:45:04 PM


Edit the fc.env File

In the pages directory of the virtual server directory you created in Configure the Web Server, you will find a file named fc.env. This file is very similar to the clarify.env file that you are familiar with. It contains the login information that you need to create the FCApplication object for your web server.

Edit this file with the login information for your database.

  • fchoice.connectionstring - The connection string of the database.
  • fchoice.dbtype - This is either "mssql" or "oracle". If this setting is not present it will default to "mssql".

To define a logging configuration file

When using the Dovetail SDK, you can define a logging configuration file in the fc.env file. For example:

compat_logconfigfile=C:\dovetail\admin\pages\DovetailAdmin_logging.config

webservice_logconfigfile=C:\dovetail\admin\pages\DovetailAdmin_webservice_logging.config

The logging configuration file allows for sophisticated logging configuration. Refer to the Dovetail SDK documentation for more information about configuring logging.

See Also

Installing Dovetail Admin

Install the Dovetail SDK

Update the Clarify Schema

Set Configuration Items

Import the Data Files

Configure the Web Server

Test the Connection

Grant Permissions

Add Performance Indexes

Next

Test the Connection
Edit the fc.env File

Did this topic help you? Email us your feedback.
Last updated: 1/9/2012 12:56:59 PM


Test the Connection

To logon and access the application, use your web browser to navigate to the following URL:

http://<your_machine_name>/<virtual_dir_alias>

For example, if your machine name is tommy and your alias is admin, enter the following URL:

http://tommy/admin

Your browser should display the logon page.

See Also

Installing Dovetail Admin

Install the Dovetail SDK

Update the Clarify Schema

Set Configuration Items

Import the Data Files

Configure the Web Server

Edit the fc.env File

Grant Permissions

Add Performance Indexes

Next

Grant Permissions
Test the Connection

Did this topic help you? Email us your feedback.
Last updated: 1/9/2012 12:54:55 PM


Grant Permissions

Login to Dovetail Admin as the user "sa". Using the Privilege Classes page, grant the required user permissions.

See Also

Installing Dovetail Admin

Install the Dovetail SDK

Update the Clarify Schema

Set Configuration Items

Import the Data Files

Configure the Web Server

Edit the fc.env File

Test the Connection

Add Performance Indexes

Next

Add Performance Indexes
Grant Permissions

Did this topic help you? Email us your feedback.
Last updated: 1/9/2012 12:54:59 PM


Add Performance Indexes

Add the following performance indexes to your database. This should be incorporated into your existing performance tuning script (such as dbtune.sql)

The following indexes will optimize Dovetail Admin's performance:

Table | Column(s) | Index Name | Unique? | Comments
act_entry | focus_type, focus_lowid | focus_index | No | Enhances performance for a queue's activity log

See Also

Installing Dovetail Admin

Install the Dovetail SDK

Update the Clarify Schema

Set Configuration Items

Import the Data Files

Configure the Web Server

Edit the fc.env File

Test the Connection

Grant Permissions

Next

Main Admin Page
Add Performance Indexes

Did this topic help you? Email us your feedback.
Last updated: 1/9/2012 12:55:05 PM


Main Admin Page

Oracle users must install the administrative page to manage the Stored Procedure function. For all other users, the administration page is optional, but highly recommended. If you do not need to monitor the application and/or sessions, you do not need to install and use this page.

If installed, after logging in as the administrator you will be taken to the main administrative page, which displays application and session information.

For each connected session, you can view who is logged in, their session ID, and the login type. This page also shows when the user logged in, when they last did an update (a database transaction), and the list of their open fcGeneric and <bulkapp> objects.

In This Chapter

Update Metadata Cache Files

Update Schema Cache Files

End a User's Session

Admin Page Screenshot

Next

Update Metadata Cache Files
Main Admin Page

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 1:46:16 PM


Update Metadata Cache Files

  1. Login to Dovetail Admin.
  2. To update data such as time_zone, internationalized string, and restriction data, click Update Cache Files.

See Also

Main Admin Page

Update Schema Cache Files

End a User's Session

Admin Page Screenshot

Next

Update Schema Cache Files
Update Metadata Cache Files

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 1:52:22 PM


Update Schema Cache Files

  1. Login to Dovetail Admin.
  2. To update all schema files, click Update Schema Cache Files.

See Also

Main Admin Page

Update Metadata Cache Files

End a User's Session

Admin Page Screenshot

Next

End a User's Session
Update Schema Cache Files

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 1:59:44 PM


End a User's Session

  1. Login to Dovetail Admin.
  2. In the Sessions section, select "Kill Session with SessionID" for the session you want to end.

See Also

Main Admin Page

Update Metadata Cache Files

Update Schema Cache Files

Admin Page Screenshot

Next

Admin Page Screenshot
End a User's Session

Did this topic help you? Email us your feedback.
Last updated: 7/19/2007 9:47:32 AM


Admin Page Screenshot

See Also

Main Admin Page

Update Metadata Cache Files

Update Schema Cache Files

End a User's Session

Next

Users & Privileges
Admin Page Screenshot

Did this topic help you? Email us your feedback.
Last updated: 2/24/2009 12:47:30 PM


Users & Privileges

In This Chapter

Users/Employees

Web Users

Privilege Classes

Web Commands

Workgroups

Next

Users/Employees
Users & Privileges

Did this topic help you? Email us your feedback.
Last updated: 8/16/2007 3:09:53 PM


Users/Employees

The Users/Employees page allows you to create and update user/employee records, including basic information, notification methods, restriction groups, and passwords.

See Also

Users & Privileges

Web Users

Privilege Classes

Web Commands

Workgroups

Next

View a User/Employee
Users/Employees

Did this topic help you? Email us your feedback.
Last updated: 7/16/2007 3:06:34 PM


View a User/Employee

  1. To view existing user/employee records, select List.

    Note: You may optionally specify filter criteria before selecting List.

  2. To view user/employee details, select the user/employee from the list.

See Also

Users/Employees

Modify the Notifications Tab Data

Add a User/Employee

Update a User/Employee

Modify the Employee Tab Data

Modify the More Info Tab Data

Modify the Res. Group Tab Data

Modify the Password Tab Data

Users/Employees Screenshot

Next

Modify the Notifications Tab Data
View a User/Employee

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 2:10:30 PM


Modify the Notifications Tab Data

  1. Select the user/employee data in the top list.
  2. In the User section, select the Notifications tab.
  3. Enter the updates.
  4. To save, select Add or Replace as appropriate.

See Also

Users/Employees

View a User/Employee

Add a User/Employee

Update a User/Employee

Modify the Employee Tab Data

Modify the More Info Tab Data

Modify the Res. Group Tab Data

Modify the Password Tab Data

Users/Employees Screenshot

Next

Add a User/Employee
Modify the Notifications Tab Data

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 2:12:50 PM


Add a User/Employee

  1. In the User section, enter the new user/employee data.

    Note: To add the record, the first name, last name, login name, and email fields must be filled.

  2. To save, select Add.

See Also

Users/Employees

View a User/Employee

Modify the Notifications Tab Data

Update a User/Employee

Modify the Employee Tab Data

Modify the More Info Tab Data

Modify the Res. Group Tab Data

Modify the Password Tab Data

Users/Employees Screenshot

Next

Update a User/Employee
Add a User/Employee

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 2:13:12 PM


Update a User/Employee

  1. Select the user/employee data in the top list.
  2. In the User section, enter the updates.
  3. To update, select Replace.

See Also

Users/Employees

View a User/Employee

Modify the Notifications Tab Data

Add a User/Employee

Modify the Employee Tab Data

Modify the More Info Tab Data

Modify the Res. Group Tab Data

Modify the Password Tab Data

Users/Employees Screenshot

Next

Modify the Employee Tab Data
Update a User/Employee

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 2:13:23 PM


Modify the Employee Tab Data

  1. Select the user/employee data in the top list.
  2. In the User section, select the Employee tab.
  3. Enter the updates.
    • To choose a site, select the [image] button. From the new window, select the site and Use/Done.
    • To view site details, select the [image] button. Site details can only be modified with Dovetail Agent.
    • To choose a Start Date or Workgroup Start Date, use the [image] button.
  4. To save, select Add or Replace as appropriate.

See Also

Users/Employees

View a User/Employee

Modify the Notifications Tab Data

Add a User/Employee

Update a User/Employee

Modify the More Info Tab Data

Modify the Res. Group Tab Data

Modify the Password Tab Data

Users/Employees Screenshot

Next

Modify the More Info Tab Data
Modify the Employee Tab Data

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 2:14:47 PM


Modify the More Info Tab Data

  1. Select the user/employee data in the top list.
  2. In the User section, select the More Info tab.
  3. Enter the updates.
  4. To save, select Add or Replace as appropriate.

See Also

Users/Employees

View a User/Employee

Modify the Notifications Tab Data

Add a User/Employee

Update a User/Employee

Modify the Employee Tab Data

Modify the Res. Group Tab Data

Modify the Password Tab Data

Users/Employees Screenshot

Next

Modify the Res. Group Tab Data
Modify the More Info Tab Data

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 2:18:11 PM


Modify the Res. Group Tab Data

  1. Select the user/employee data in the top list.
  2. In the User section, select the Res. Group tab.
  3. Enter the updates.
    • Users/employees may belong to multiple restriction groups, but only one restriction group is current at a time.
  4. To save, select Add or Replace as appropriate.

See Also

Users/Employees

View a User/Employee

Modify the Notifications Tab Data

Add a User/Employee

Update a User/Employee

Modify the Employee Tab Data

Modify the More Info Tab Data

Modify the Password Tab Data

Users/Employees Screenshot

Next

Modify the Password Tab Data
Modify the Res. Group Tab Data

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 2:18:28 PM


Modify the Password Tab Data

  1. Select the user/employee data in the top list.
  2. In the User section, select the Password tab.
  3. Enter the updates.
  4. To save, select Add or Replace as appropriate.

See Also

Users/Employees

View a User/Employee

Modify the Notifications Tab Data

Add a User/Employee

Update a User/Employee

Modify the Employee Tab Data

Modify the More Info Tab Data

Modify the Res. Group Tab Data

Users/Employees Screenshot

Next

Users/Employees Screenshot
Modify the Password Tab Data

Did this topic help you? Email us your feedback.
Last updated: 10/18/2007 9:45:30 AM


Users/Employees Screenshot

See Also

Users/Employees

View a User/Employee

Modify the Notifications Tab Data

Add a User/Employee

Update a User/Employee

Modify the Employee Tab Data

Modify the More Info Tab Data

Modify the Res. Group Tab Data

Modify the Password Tab Data

Next

Web Users
Users/Employees Screenshot

Did this topic help you? Email us your feedback.
Last updated: 2/24/2009 1:38:53 PM


Web Users

Web user records are the credentials (login and password) that a contact uses to login to a customer-facing application, such as Dovetail SelfService.

Note: The Contacts page encrypts passwords for all versions of Clarify.

See Also

Users & Privileges

Users/Employees

Privilege Classes

Web Commands

Workgroups

Next

View a Contact
Web Users

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 2:35:15 PM


View a Contact

  1. To view existing contacts, select List.

    Note: You may optionally specify filter criteria before selecting List.

  2. To view the contact details, select a contact in the list.

See Also

Web Users

Add a Web User

Update a Web User

Web Users Screenshot

Next

Add a Web User
View a Contact

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 2:35:58 PM


Add a Web User

  1. Select the contact in the top list.
  2. In the Web User section, enter the new web user data.
  3. To save, select Add Web User.

See Also

Web Users

View a Contact

Update a Web User

Web Users Screenshot

Next

Update a Web User
Add a Web User

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 2:35:40 PM


Update a Web User

  1. Select the web user in the top list.
  2. In the Web User section, enter the updates.
  3. Select Update Web User.

See Also

Web Users

View a Contact

Add a Web User

Web Users Screenshot

Next

Web Users Screenshot
Update a Web User

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 2:36:22 PM


Web Users Screenshot

See Also

Web Users

View a Contact

Add a Web User

Update a Web User

Next

Privilege Classes
Web Users Screenshot

Did this topic help you? Email us your feedback.
Last updated: 2/24/2009 4:33:05 PM


Privilege Classes

A privileged class defines a group's allowable activities.

See Also

Users & Privileges

Users/Employees

Web Users

Web Commands

Workgroups

Next

View a Privilege Class
Privilege Classes

Did this topic help you? Email us your feedback.
Last updated: 7/16/2007 3:12:02 PM


View a Privilege Class

  1. To view existing classes, select List.

    Note: You may optionally specify filter criteria before selecting List.

  2. To view the class details, select the class in the list.

See Also

Privilege Classes

Privilege Class

Add a new Privilege Class

Modify a Privilege Class

Copy an Existing Privilege Class

Change Privilege Class Members

Privilege Classes Screenshot

Next

Privilege Class
View a Privilege Class

Did this topic help you? Email us your feedback.
Last updated: 7/12/2010 12:24:51 PM


Privilege Class

To view the Privilege Class Summary Report, a summary of all privileges and privileges classes, select View Privilege Class Summary.

This will display a grid view of all privilege classes, and the enabled privileges for each privilege class.

It will also show the allowable Logistics and Quality Transitions for each privilege class.

This data can be viewed in Microsoft Excel by select View in Excel.

See Also

Privilege Classes

View a Privilege Class

Add a new Privilege Class

Modify a Privilege Class

Copy an Existing Privilege Class

Change Privilege Class Members

Privilege Classes Screenshot

Next

Add a new Privilege Class
Privilege Class

Did this topic help you? Email us your feedback.
Last updated: 8/6/2012 3:00:04 PM


Add a new Privilege Class

  1. Click Create a New Privilege Class.
  2. Enter the new privilege class data. The Privilege Class Name, Password Duration, and Password Expiration Warning fields are required.
  3. Click Add.

    Note: The privilege class details must first be added before class privileges can be granted. Go to the Modify a Privilege Class section for more information.

See Also

Privilege Classes

View a Privilege Class

Privilege Class

Modify a Privilege Class

Copy an Existing Privilege Class

Change Privilege Class Members

Privilege Classes Screenshot

Next

Modify a Privilege Class
Add a new Privilege Class

Did this topic help you? Email us your feedback.
Last updated: 10/28/2009 12:09:41 PM


Modify a Privilege Class

  1. Select a class from the top list.
  2. Enter privilege class modifications on one or more of the Granted Privileges tab(s): Details, Apps, General, Dovetail Admin, fcSupport, fcQuality, Dovetail Logistics, fcCallCenter, and/or fcSales.

    Note: The privileges on the Dovetail Admin tab only affect Dovetail Admin. All other tabs affect Dovetail Agent.

  3. Select Replace.

See Also

Privilege Classes

View a Privilege Class

Privilege Class

Add a new Privilege Class

Copy an Existing Privilege Class

Change Privilege Class Members

Privilege Classes Screenshot

Next

Privilege Classes Screenshot

Copy an Existing Privilege Class

  1. Click Copy Privilege Class to New.
  2. Enter the name for the new privilege class.
  3. Click Save.

Change Privilege Class Members

  1. Click Click Members Tab.
  2. Fill in any filter criteria to select users, and click List.
  3. To add users as Online Users or Offline Users, click on the row with the user from the list, and click the [image] button below either the Online Users or Offline Users sections.
  4. To remove users from Online Users or Offline Users, click on the row with the user in the list, and click the corresponding [image] button above the Online Users or Offline Users sections.
  5. Click Replace to update the changes to the users and privilege class.

Modify a Privilege Class

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 2:38:04 PM


Privilege Classes Screenshot

See Also

Privilege Classes

View a Privilege Class

Privilege Class

Add a new Privilege Class

Modify a Privilege Class

Copy an Existing Privilege Class

Change Privilege Class Members

Next

Web Commands
Privilege Classes Screenshot

Did this topic help you? Email us your feedback.
Last updated: 10/28/2009 12:06:36 PM


Web Commands

On the Web Commands page, you can modify web commands from the x_web_cmd table, which allows you to add privclass functionality to Dovetail Agent web pages and functions. Dovetail Agent uses the x_web_cmd table to enforce privilege class functionality.

See Also

Users & Privileges

Users/Employees

Web Users

Privilege Classes

Workgroups

Next

View a Web Command
Web Commands

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 2:43:18 PM


View a Web Command

  1. To view existing web commands, select List.

    Note: You may optionally specify filter criteria before selecting List.

  2. To view web command details, select the web command from the list.

See Also

Web Commands

Add a Web Command

Update a Web Command

Delete a Web Command

Web Commands Screenshot

Next

Add a Web Command
View a Web Command

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 2:43:41 PM


Add a Web Command

  1. In the Web Command Detail section, enter the new web command name.
  2. From the Type list, select the web command type.
  3. To save, select Add.

See Also

Web Commands

View a Web Command

Update a Web Command

Delete a Web Command

Web Commands Screenshot

Next

Update a Web Command
Add a Web Command

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 2:43:27 PM


Update a Web Command

  1. Select the web command from the top list.
  2. In the Web Command Detail section, enter the updates.
  3. Select Update.

See Also

Web Commands

View a Web Command

Add a Web Command

Delete a Web Command

Web Commands Screenshot

Next

Delete a Web Command
Update a Web Command

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 2:43:52 PM


Delete a Web Command

  1. Select the web command from the top list.
  2. In the Web Command Detail section, click Delete.

See Also

Web Commands

View a Web Command

Add a Web Command

Update a Web Command

Web Commands Screenshot

Next

Web Commands Screenshot
Delete a Web Command

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 2:44:09 PM


Web Commands Screenshot

See Also

Web Commands

View a Web Command

Add a Web Command

Update a Web Command

Delete a Web Command

Next

Reports

Workgroups

Manage Workgroups is an administration utility that associates employee properties (such as queues, office location, supervisor, and resource configuration) to a workgroup.

New employees that are assigned to that workgroup can automatically inherit all of the proper attributes. This speeds up and simplifies the process of adding new employees, since most of the attributes for an employee will be defined by the type of job they are destined to be performing.

When an employee changes work assignments, the attributes of the new workgroup can override the current settings for the employee automatically just by changing the workgroup.

Manage Workgroups

The top part of the Manage Workgroups page allows selection of an existing Workgroup, or a new Workgroup to be added. The Select Workgroup dropdown list shows the current Workgroups. To view/edit a Workgroup, just select it from the list.

To add a new Workgroup, click the Add Workgroup link. A prompt will appear for the name of the new Workgroup. Once it is added, it will be included in the list of Workgroups. Select the new Workgroup to continue adding its details.

The tabs on the Manage Workgroups page allow the properties, queues, and members to be maintained for a Workgroup.

Workgroup Properties

The properties for a Workgroup are easily managed from the first tab:

The Supervisor for a Workgroup can be selected from the dropdown list of eligible employees.

The Resource Config selection sets the default resource configuration that new employees will be initially added to. The dropdown list box will show the list of available resource configurations.

The Online Privilege and Online Privilege select boxes will set the default privilege classes for new employees. The dropdown list boxes will show the list of available privilege classes.

The Site ID/Name fields indicate which site that Workgroup members will be located at by default. The Select Site page can be opened; just click the checkmark icon to the right of the Site Name text box. For a site that is already shown, the info icon is used to see the site details. Click the Clear link to remove a Site.

The Labor Rate field sets the default value for new Workgroup members.

The Fax Number field is used to assign a default fax number for new Workgroup members.

The Mail Stop field will indicate the default mail stop for the workgroup's new members.

If the Acting Supervisor, Field Engineer, and Allow Proxy checkboxes are checked, then the corresponding properties for new Workgroup members will also be checked.

The Business Calendar can be selected and viewed for the Workgroup. This calendar will then be used for new Workgroup members. To select a Business Calendar, just click the checkmark icon to show the Select Business Calendar dialog and make the selection using that form. The info icon can be used to see the calendar details. Click the Clear link to remove a Calendar.

The Default Notifications section is used to configure the default selections for Notification of the Workgroup members.

The During Business Hours or After Business Hours areas both have a High, Medium, and Low list boxes to indicate the preferred methods of communication in the event that a notification needs to be made, corresponding to the respective time frame. Select the proper communication method for each of the six choices.

Once the necessary changes have been made, click the Replace button to update the Workgroup record in the database.

The Clear button will reset the Workgroup page.

Workgroup Queues

The Queues for a Workgroup are managed from the Queues tab:

The filter at the top of the page can narrow the list of available queues. Clicking the List button will fill the Available Queues list on the left with queues that match the filter.

In the Available Queues area, select the queues for a workgroup by clicking on the row of each queue to be added. Click the Add >> button to move the selected queues to the Selected Queues list on the right.

To remove a queue from the Selected Queues just click on the row to highlight it, then Click the << Remove button.

To save the changes, click on the Properties tab and then click the Replace button.

Workgroup Members

The Members of a Workgroup are managed from the Members tab:

The filter at the top of the page can narrow the list of available employees. Clicking the List button will fill the Available Employees list on the left with employees that match the filter.

In the Available Employees area, select the employees to be in the workgroup by clicking on the row of each employee to be added. Click the Add >> button to move the selected employees to the Selected Employees list on the right.

To remove an employee from the Selected Employees just click on the row to highlight it, then Click the << Remove button.

There is a Configuration Item that is used on this tab for the Workgroup.

If the Workgroup_Propagate is set up, it should be set to "ask", "always", or "never".

If it is "ask", a checkbox will be displayed under the Add >> button, and be labeled Update Attributes. When this checkbox is visible and checked, the employee properties will get updated when they are added to this Workgroup.

If the configuration item is set to "always", the checkbox will not appear. There will be a Updating Attributes label under the Add >> button, and the employee properties will always get updated when they are added to this Workgroup.

If the configuration item is set to "never", the checkbox will not appear. There will be a Not Updating Attributes label under the Add >> button, and the employee properties will not get updated when they are added to this Workgroup. (This is the situation shown above.)

To save the changes, click on the Properties tab and then click the Replace button.

Employees

The Users/Employees page is used to modify the users in the database. A Workgroup dropdown list is used to add/remove an employee from a workgroup.

There is a Configuration Item that is used on the Users/Employee page for Workgroup.

If the Workgroup_Propagate is set up, it should be set to "ask", "always", or "never". If it is "ask", a checkbox will be displayed to the right of the Workgroup dropdown list. When this checkbox is checked, the employee properties will get updated when a new Workgroup is selected from the Workgroup dropdown list.

If the configuration item is set to "always", the checkbox will not appear, and the User/Employee properties for the Workgroup will get updated from this page.

If the configuration item is set to "never", the checkbox will not appear, and the User/Employee properties for the Workgroup will not get updated from this page.

Web Commands Screenshot

Did this topic help you? Email us your feedback.
Last updated: 2/24/2009 4:34:01 PM


Reports

In This Chapter

Business Rule Usage

Dovetail Agent Logins

Privilege Class

Next

Business Rule Usage
Reports

Did this topic help you? Email us your feedback.
Last updated: 8/9/2011 4:17:30 PM


Business Rule Usage

The Business Rule Usage Report shows the business rules that are fired, including their frequency. Perhaps even more importantly, it allows you to see the rules that are not being fired. Perhaps those rules could be removed, or made inactive, therefore simplifying your business rule administration.

The report can be filtered by different time periods.

Business Rule Usage Report Screenshot

See Also

Reports

Dovetail Agent Logins

Privilege Class

Next

Dovetail Agent Logins
Business Rule Usage

Did this topic help you? Email us your feedback.
Last updated: 8/6/2012 2:52:18 PM


Dovetail Agent Logins

This report shows maximum and average number of users logged into the Dovetail Agent application, grouped by month.

Dovetail Agent Login Report

See Also

Reports

Business Rule Usage

Privilege Class

Next

Privilege Class
Dovetail Agent Logins

Did this topic help you? Email us your feedback.
Last updated: 8/6/2012 2:52:29 PM


Privilege Class

To view the Privilege Class Summary Report, a summary of all privileges and privileges classes, select View Privilege Class Summary.

This will display a grid view of all privilege classes, and the enabled privileges for each privilege class.

It will also show the allowable Logistics and Quality Transitions for each privilege class.

This data can be viewed in Microsoft Excel by select View in Excel.

See Also

Reports

Business Rule Usage

Dovetail Agent Logins

Next

Lists
Privilege Class

Did this topic help you? Email us your feedback.
Last updated: 8/6/2012 3:00:04 PM


Lists

In This Chapter

Status Codes

Application Lists

User Defined Lists

Activity Codes

Next

Status Codes
Lists

Did this topic help you? Email us your feedback.
Last updated: 8/16/2007 3:10:13 PM


Status Codes

Here you can modify the status codes used in your system.

See Also

Lists

Application Lists

User Defined Lists

Activity Codes

Next

Add a Status Code
Status Codes

Did this topic help you? Email us your feedback.
Last updated: 7/18/2007 12:06:45 PM


Add a Status Code

  1. In the Application dropdown list, select an application.
  2. In the Condition dropdown list, select a condition.
  3. In the Item Details section, enter the new status code data.
  4. Select Add Item.

    Note: Adding an item with a Default status will change the status of any previous Default item to Active. Because this data is cached, update the cache in any applications that use this data.

See Also

Status Codes

View a Status Code

Update a Status Code

Delete a Status Code

Change the Status Code Item Order

Status Codes Screenshot

Next

View a Status Code
Add a Status Code

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 2:47:57 PM


View a Status Code

  1. In the Application dropdown list, select an application.
  2. In the Condition dropdown list, select a condition. All status codes for that application and condition will be displayed.

See Also

Status Codes

Add a Status Code

Update a Status Code

Delete a Status Code

Change the Status Code Item Order

Status Codes Screenshot

Next

Update a Status Code
View a Status Code

Did this topic help you? Email us your feedback.
Last updated: 7/16/2007 3:47:09 PM


Update a Status Code

  1. Select a status code from the list.
  2. In the Item Details section, enter the updates.
  3. Select Update Item.

    Note: Updating an item's status to Default will change the status of the previous Default item to Active.

See Also

Status Codes

Add a Status Code

View a Status Code

Delete a Status Code

Change the Status Code Item Order

Status Codes Screenshot

Next

Delete a Status Code
Update a Status Code

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 2:45:20 PM


Delete a Status Code

  1. Select a status code from the list.
  2. In the Item Details section, enter the updates.
  3. Select Delete Item.

    Note: Each condition must be associated with at least one item.

See Also

Status Codes

Add a Status Code

View a Status Code

Update a Status Code

Change the Status Code Item Order

Status Codes Screenshot

Next

Change the Status Code Item Order
Delete a Status Code

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 2:45:49 PM


Change the Status Code Item Order

  1. Select a status code from the list.
  2. In the Item Details section, select Up or Down to move the item.

    Note: The order set here is the order that the items appear in the given application.

See Also

Status Codes

Add a Status Code

View a Status Code

Update a Status Code

Delete a Status Code

Status Codes Screenshot

Next

Status Codes Screenshot
Change the Status Code Item Order

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 2:46:42 PM


Status Codes Screenshot

See Also

Status Codes

Add a Status Code

View a Status Code

Update a Status Code

Delete a Status Code

Change the Status Code Item Order

Next

Application Lists
Status Codes Screenshot

Did this topic help you? Email us your feedback.
Last updated: 2/24/2009 4:40:43 PM


Application Lists

Here you can modify the application lists used throughout your system.

See Also

Lists

Status Codes

User Defined Lists

Activity Codes

Next

Add an Application List
Application Lists

Did this topic help you? Email us your feedback.
Last updated: 8/30/2007 2:53:59 PM


Add an Application List

  1. In the Application dropdown list, select an application.
  2. In the List Name dropdown list, select an application list.
  3. In the Item Details section, enter the new list item data.
  4. Select Add Item.

    Note: Adding an item with a Default status will change the status of any previous Default item to Active.

See Also

Application Lists

View an Application List

Update an Application List

Delete an Application List

Change the Application List Order

Application Lists Screenshot

Next

View an Application List
Add an Application List

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 2:48:34 PM


View an Application List

  1. In the Application dropdown list, select an application.
  2. In the List Name dropdown list, select an application list. All list items for that application will be displayed.

See Also

Application Lists

Add an Application List

Update an Application List

Delete an Application List

Change the Application List Order

Application Lists Screenshot

Next

Update an Application List
View an Application List

Did this topic help you? Email us your feedback.
Last updated: 7/16/2007 3:51:15 PM


Update an Application List

  1. Select an application list from the list.
  2. In the Item Details section, enter the updates.
  3. Select Update Item.

    Note: Updating an item's status to Default will change the status of the previous Default item to Active.

See Also

Application Lists

Add an Application List

View an Application List

Delete an Application List

Change the Application List Order

Application Lists Screenshot

Next

Delete an Application List
Update an Application List

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 2:48:46 PM


Delete an Application List

  1. Select an application list from the list.
  2. In the Item Details section, enter the updates.
  3. Select Delete Item.

    Note: Each application list must be associated with at least one item.

See Also

Application Lists

Add an Application List

View an Application List

Update an Application List

Change the Application List Order

Application Lists Screenshot

Next

Change the Application List Order
Delete an Application List

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 2:48:56 PM


Change the Application List Order

  1. Select an application list from the list.
  2. In the Item Details section, select Up or Down to move the item.

    Note: The order set here is the order that the items appear in the given application.

See Also

Application Lists

Add an Application List

View an Application List

Update an Application List

Delete an Application List

Application Lists Screenshot

Next

Application Lists Screenshot
Change the Application List Order

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 2:49:13 PM


Application Lists Screenshot

See Also

Application Lists

Add an Application List

View an Application List

Update an Application List

Delete an Application List

Change the Application List Order

Next

User Defined Lists
Application Lists Screenshot

Did this topic help you? Email us your feedback.
Last updated: 2/24/2009 4:41:12 PM


User Defined Lists

Here you can manage the user defined popup lists used throughout your system.

See Also

Lists

Status Codes

Application Lists

Activity Codes

Next

View a User Defined Popup List
User Defined Lists

Did this topic help you? Email us your feedback.
Last updated: 7/18/2007 12:11:46 PM


View a User Defined Popup List

  1. To view existing user defined popup lists, click List.

    Note: Title or Description can be specified as filter criteria before clicking List.

  2. To view details for an existing user defined popup list, double-click the associated row. There are also keyboard shortcuts to help save time. After clicking the List button, use j to move down the lists, k to move up the lists, and o to open a list to view its details.

The details for a list are shown in a tree view or an outline view. This represents a hierarchical view of the user list details. The list can have a number of levels, and each level can have a number of list elements. A level can be expanded to reveal elements, if any exist, and collapsed to hide elements.

Selecting a level node in the tree view will also show a grid of the elements that it contains. At the top of that list, there is an area to edit the details of the level. Elements can be added to a level by clicking the Add Element button.

Each element can be edited – just click the element in either the tree view or in the grid, and the available action buttons will be enabled.

See Also

User Defined Lists

Add a User Defined Popup List

Add a User Defined Popup List Level

Edit a User Defined Popup List Level Title

Edit or Delete a User Defined Popup List Level

Modify a User Defined Popup List

Sort a User Defined Popup List

Delete a User Defined Popup List

Test a User Defined Popup List

User Defined Lists Screenshot

Next

Add a User Defined Popup List
View a User Defined Popup List

Did this topic help you? Email us your feedback.
Last updated: 5/27/2008 10:08:16 AM


Add a User Defined Popup List

  1. From either the Find List dialog or from the List Details, click Add New List to add a new user defined popup list.
  2. Enter the title (required) and the description (optional), and then click Save to add the new list. This will add the new list to the database. Click Cancel at any time (before Save) to not create the new list.
  3. Start adding list elements and levels.

See Also

User Defined Lists

View a User Defined Popup List

Add a User Defined Popup List Level

Edit a User Defined Popup List Level Title

Edit or Delete a User Defined Popup List Level

Modify a User Defined Popup List

Sort a User Defined Popup List

Delete a User Defined Popup List

Test a User Defined Popup List

User Defined Lists Screenshot

Next

Add a User Defined Popup List Level
Add a User Defined Popup List

Did this topic help you? Email us your feedback.
Last updated: 5/27/2008 10:10:12 AM


Add a User Defined Popup List Level

When viewing the details for an existing list, a new level can be added below any element that does not already have a level defined below it.

  1. Click the element where the level needs to be added.
  2. Click Add Level. This will add the level, and then prompt for the first element to be added under it.

See Also

User Defined Lists

View a User Defined Popup List

Add a User Defined Popup List

Edit a User Defined Popup List Level Title

Edit or Delete a User Defined Popup List Level

Modify a User Defined Popup List

Sort a User Defined Popup List

Delete a User Defined Popup List

Test a User Defined Popup List

User Defined Lists Screenshot

Next

Edit a User Defined Popup List Level Title
Add a User Defined Popup List Level

Did this topic help you? Email us your feedback.
Last updated: 5/27/2008 10:11:34 AM


Edit a User Defined Popup List Level Title

  1. Open an existing list to view the details.
  2. Move the mouse over the current title and the background of the title will be highlighted.
  3. Click the title or highlighted area to open the title edit dialog.
  4. Change the title, then press enter or click Save to make the change. Click Cancel to close the dialog.

See Also

User Defined Lists

View a User Defined Popup List

Add a User Defined Popup List

Add a User Defined Popup List Level

Edit or Delete a User Defined Popup List Level

Modify a User Defined Popup List

Sort a User Defined Popup List

Delete a User Defined Popup List

Test a User Defined Popup List

User Defined Lists Screenshot

Next

Edit or Delete a User Defined Popup List Level
Edit a User Defined Popup List Level Title

Did this topic help you? Email us your feedback.
Last updated: 5/27/2008 10:12:33 AM


Edit or Delete a User Defined Popup List Level

  1. Open an existing list to view the details.
  2. Expand the tree view and click on the level to edit/delete.
  3. Click on Edit Level Details.
  4. Change the level title, then press enter or click Save to make the change. Click Cancel to close the dialog.
  5. Click Delete Level to delete the level and the elements below it.

Note: This will delete the level and associated list elements below that level.

See Also

User Defined Lists

View a User Defined Popup List

Add a User Defined Popup List

Add a User Defined Popup List Level

Edit a User Defined Popup List Level Title

Modify a User Defined Popup List

Sort a User Defined Popup List

Delete a User Defined Popup List

Test a User Defined Popup List

User Defined Lists Screenshot

Next

Modify a User Defined Popup List
Edit or Delete a User Defined Popup List Level

Did this topic help you? Email us your feedback.
Last updated: 8/6/2012 12:29:32 PM


Modify a User Defined Popup List

The tree view displays the popup list levels and elements configured for the popup list. To make changes to an element, expand the tree to find the element, the click on it to enable the action buttons for it.

  1. Open an existing list to view the details.
  2. Expand the level to edit in the tree view.
  3. To add a new element to the current level, click Add Element.
  4. To edit an existing element, click on the element in either the tree view or the element grid. The following actions will be enabled depending on the element's current state:
    • Edit Title: To change the element title, click Edit Title, make changes to the title, and click Save. Click Cancel to close the edit dialog.
    • Move To Top: To move the element's location up the top of the list, click Move To Top.
    • Make Default: To make an element the default, click Make Default.
    • Make Active: To change an element from Default (or Inactive) to Active, click Make Make Active.
    • Make Inactive: To change an element from Active to Inactive, click Make Inactive.
    • Move Up: To move the element's location up the list, click Move Up.
    • Move Down: To move the element's location down the list, click Move Down.
    • Delete: To remove an element, click Delete.
    • Clone: To clone the current element (and all of its children), click Clone, make changes to the new title, and click Clone. Click Cancel to close the dialog.
    • Add Level: To add a level below an element, click Add Level. This will be disabled if there is already a level defined.

Note: All changes are committed to the database immediately after each action.

See Also

User Defined Lists

View a User Defined Popup List

Add a User Defined Popup List

Add a User Defined Popup List Level

Edit a User Defined Popup List Level Title

Edit or Delete a User Defined Popup List Level

Sort a User Defined Popup List

Delete a User Defined Popup List

Test a User Defined Popup List

User Defined Lists Screenshot

Next

Delete a User Defined Popup List

Sort a User Defined Popup List

  1. Open an existing list to view the details.
  2. If the current level has more than one element, click Sort Elements to sort the level elements alphabetically in ascending order.
Modify a User Defined Popup List

Did this topic help you? Email us your feedback.
Last updated: 8/6/2012 12:27:33 PM


Delete a User Defined Popup List

  1. Open an existing list to view the details.
  2. Click Delete List.

    Note: This will delete the list and associated list elements for all levels.

See Also

User Defined Lists

View a User Defined Popup List

Add a User Defined Popup List

Add a User Defined Popup List Level

Edit a User Defined Popup List Level Title

Edit or Delete a User Defined Popup List Level

Modify a User Defined Popup List

Sort a User Defined Popup List

Test a User Defined Popup List

User Defined Lists Screenshot

Next

Test a User Defined Popup List
Delete a User Defined Popup List

Did this topic help you? Email us your feedback.
Last updated: 5/27/2008 10:29:04 AM


Test a User Defined Popup List

  1. Open an existing list to view the details.
  2. Click Play List to view the list levels and elements in action.
  3. When finished, click Close or press the Esc key.

See Also

User Defined Lists

View a User Defined Popup List

Add a User Defined Popup List

Add a User Defined Popup List Level

Edit a User Defined Popup List Level Title

Edit or Delete a User Defined Popup List Level

Modify a User Defined Popup List

Sort a User Defined Popup List

Delete a User Defined Popup List

User Defined Lists Screenshot

Next

User Defined Lists Screenshot
Test a User Defined Popup List

Did this topic help you? Email us your feedback.
Last updated: 5/27/2008 10:32:45 AM


User Defined Lists Screenshot

See Also

User Defined Lists

View a User Defined Popup List

Add a User Defined Popup List

Add a User Defined Popup List Level

Edit a User Defined Popup List Level Title

Edit or Delete a User Defined Popup List Level

Modify a User Defined Popup List

Sort a User Defined Popup List

Delete a User Defined Popup List

Test a User Defined Popup List

Next

Activity Codes
User Defined Lists Screenshot

Did this topic help you? Email us your feedback.
Last updated: 2/24/2009 4:44:21 PM


Activity Codes

Here you can manage the Activity Codes used throughout your system.

See Also

Lists

Status Codes

Application Lists

User Defined Lists

Next

Add a new Custom Activity Code
Activity Codes

Did this topic help you? Email us your feedback.
Last updated: 8/6/2012 12:31:35 PM


Add a new Custom Activity Code

  1. Refresh the page, or click the Clear button.
  2. Enter the new Activity Code Title.
  3. Fill in a unique rank number.
  4. Choose Active (or Inactive)
  5. Click Add.

See Also

Activity Codes

Update a Custom Activity Code

Update a Baseline Activity Code

Activity Codes Screenshot

Next

Update a Custom Activity Code
Add a new Custom Activity Code

Did this topic help you? Email us your feedback.
Last updated: 1/23/2009 11:34:44 AM


Update a Custom Activity Code

  1. Filter and select the Activity Code in the grid.
  2. Change the Activity Code Title if needed.
  3. Change to a unique rank number if needed.
  4. Choose Active (or Inactive) if needed.
  5. Click Update.

See Also

Activity Codes

Add a new Custom Activity Code

Update a Baseline Activity Code

Activity Codes Screenshot

Next

Update a Baseline Activity Code
Update a Custom Activity Code

Did this topic help you? Email us your feedback.
Last updated: 1/23/2009 11:36:24 AM


Update a Baseline Activity Code

  1. Filter and select the Activity Code in the grid.
  2. Change the Activity Code Title if needed.
  3. Choose Active (or Inactive) if needed.
  4. Click Update.

See Also

Activity Codes

Add a new Custom Activity Code

Update a Custom Activity Code

Activity Codes Screenshot

Next

Activity Codes Screenshot
Update a Baseline Activity Code

Did this topic help you? Email us your feedback.
Last updated: 1/23/2009 11:39:22 AM


Activity Codes Screenshot

See Also

Activity Codes

Add a new Custom Activity Code

Update a Custom Activity Code

Update a Baseline Activity Code

Next

Business Rules
Activity Codes Screenshot

Did this topic help you? Email us your feedback.
Last updated: 2/24/2009 4:44:48 PM


Business Rules

In This Chapter

Business Rules

Rule Properties

Business Rule Usage

Next

Business Rules
Business Rules

Did this topic help you? Email us your feedback.
Last updated: 8/16/2007 3:10:22 PM


Business Rules

Here you can manage the business rules used throughout your system.

See Also

Business Rules

Rule Properties

Business Rule Usage

Next

Business Rules - General
Business Rules

Did this topic help you? Email us your feedback.
Last updated: 8/6/2012 12:31:52 PM


Business Rules - General

See Also

Business Rules

Business Rule Details

Business Rule Events

Business Rule Conditions

Business Rule Actions

Next

View a Business Rule
Business Rules - General

Did this topic help you? Email us your feedback.
Last updated: 7/16/2007 4:15:58 PM


View a Business Rule

  1. To view existing business rules, select List.

    Note: You may optionally specify filter criteria before selecting List.

  2. To view the business rule data, select the business rule in the list.

See Also

Business Rules - General

Add a Business Rule

Update a Business Rule

Delete a Business Rule

Business Rules Screenshot

Next

Add a Business Rule
View a Business Rule

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 3:07:02 PM


Add a Business Rule

  1. In the Business Rule Details section, enter the new business rule data.
  2. On the Details tab, enter a business rule name and rule set. Other fields on this tab are optional.
  3. On the Events tab, select Add Start Event and use the dropdown list to select at least one event. Optionally, enter one or more Cancel On Events.
  4. Conditions are optional. To add a condition, select Add Condition and use the dropdown lists to define the conditions. All rule conditions must evaluate to true for the rule actions to fire.
  5. On the Actions tab, select New Action. This will open the the Manage Business Rules - Action window.
  6. Enter an Action Title.

    Note: If the message type on the Frequency & Messages tab is Message, select one or more users or aliases to be notified. If the message type is Command Line, leave the Notify Lists empty.

  7. On the Frequency & Messages tab, enter the message. Entering further data on the Frequency & Messages tab is optional.

    Note: For further details, please view the following sections:
    - Business Rule Details
    - Business Rule Events
    - Business Rule Conditions
    - Business Rule Actions

  8. To save the business rule, select Add.

See Also

Business Rules - General

View a Business Rule

Update a Business Rule

Delete a Business Rule

Business Rules Screenshot

Next

Update a Business Rule
Add a Business Rule

Did this topic help you? Email us your feedback.
Last updated: 10/18/2007 9:18:58 AM


Update a Business Rule

  1. Select the business rule in the top list.
  2. In the Business Rule Details section, enter the updates.

    Note: For further details, please view the following sections:
    - Business Rule Details
    - Business Rule Events
    - Business Rule Conditions
    - Business Rule Actions

  3. To save the updates, select Replace.

See Also

Business Rules - General

View a Business Rule

Add a Business Rule

Delete a Business Rule

Business Rules Screenshot

Next

Delete a Business Rule
Update a Business Rule

Did this topic help you? Email us your feedback.
Last updated: 10/18/2007 9:19:32 AM


Delete a Business Rule

  1. Select the business rule in the top list.
  2. In the Business Rule Details section, select Delete.

See Also

Business Rules - General

View a Business Rule

Add a Business Rule

Update a Business Rule

Business Rules Screenshot

Next

Business Rules Screenshot
Delete a Business Rule

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 3:14:39 PM


Business Rules Screenshot

See Also

Business Rules - General

View a Business Rule

Add a Business Rule

Update a Business Rule

Delete a Business Rule

Next

Business Rule Details
Business Rules Screenshot

Did this topic help you? Email us your feedback.
Last updated: 2/24/2009 5:00:06 PM


Business Rule Details

The Details section contains general information about the rule.

See Also

Business Rules

Business Rules - General

Business Rule Events

Business Rule Conditions

Business Rule Actions

Next

View Business Rule Details
Business Rule Details

Did this topic help you? Email us your feedback.
Last updated: 7/18/2007 12:14:42 PM


View Business Rule Details

  1. To view existing business rules, select List.

    Note: You may optionally specify filter criteria before selecting List.

  2. To view the business rule details, select the business rule in the list.

See Also

Business Rule Details

Update Business Rule Details

Business Rule Details Screenshot

Next

Update Business Rule Details
View Business Rule Details

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 3:15:58 PM


Update Business Rule Details

  1. Select the business rule from the top list.
  2. On the Details tab, enter the updates.
  3. To save, select Replace.

See Also

Business Rule Details

View Business Rule Details

Business Rule Details Screenshot

Next

Business Rule Details Screenshot
Update Business Rule Details

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 3:16:13 PM


Business Rule Details Screenshot

See Also

Business Rule Details

View Business Rule Details

Update Business Rule Details

Next

Business Rule Events
Business Rule Details Screenshot

Did this topic help you? Email us your feedback.
Last updated: 2/24/2009 5:00:27 PM


Business Rule Events

Here you can start and cancel business rule events.

See Also

Business Rules

Business Rules - General

Business Rule Details

Business Rule Conditions

Business Rule Actions

Next

View a Business Rule Event
Business Rule Events

Did this topic help you? Email us your feedback.
Last updated: 7/18/2007 12:15:44 PM


View a Business Rule Event

  1. To view existing business events, select List.

    Note: You may optionally specify filter criteria before selecting List.

  2. To view the business rule events, select the business rule in the list.
  3. Select the Events tab.

See Also

Business Rule Events

Update a Business Rule Event

Add a Business Rule Event

Remove a Business Rule Event

Business Rule Events Screenshot

Next

Update a Business Rule Event
View a Business Rule Event

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 3:17:48 PM


Update a Business Rule Event

  1. Select the business rule from the top list.
  2. On the Events tab under Start On Events and/or Cancel On Events, use the dropdown lists to change existing events.
  3. To save, select Replace.

See Also

Business Rule Events

View a Business Rule Event

Add a Business Rule Event

Remove a Business Rule Event

Business Rule Events Screenshot

Next

Add a Business Rule Event
Update a Business Rule Event

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 3:18:04 PM


Add a Business Rule Event

  1. Select the business rule from the top list.
  2. On the Events tab, select Add Start Event and/or Add Cancel Event.
  3. With the new dropdown list titled "Please Select," choose the new start or cancel event.
  4. To save, select Replace.

See Also

Business Rule Events

View a Business Rule Event

Update a Business Rule Event

Remove a Business Rule Event

Business Rule Events Screenshot

Next

Remove a Business Rule Event
Add a Business Rule Event

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 3:18:11 PM


Remove a Business Rule Event

  1. Select the business rule from the top list.
  2. On the Events tab under Start On Events and/or Cancel On Events, use the checkboxes to select which event(s) to delete.
  3. To remove the event(s) from the list, select Remove Start Event and/or Remove Cancel Event.
  4. To save, select Replace.

See Also

Business Rule Events

View a Business Rule Event

Update a Business Rule Event

Add a Business Rule Event

Business Rule Events Screenshot

Next

Business Rule Events Screenshot
Remove a Business Rule Event

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 3:18:42 PM


Business Rule Events Screenshot

See Also

Business Rule Events

View a Business Rule Event

Update a Business Rule Event

Add a Business Rule Event

Remove a Business Rule Event

Next

Business Rule Conditions
Business Rule Events Screenshot

Did this topic help you? Email us your feedback.
Last updated: 2/24/2009 5:00:53 PM


Business Rule Conditions

Conditions are not a required business rule element. If no conditions exist for a business rule, the rule will always evaluate to true.

See Also

Business Rules

Business Rules - General

Business Rule Details

Business Rule Events

Business Rule Actions

Next

View a Business Rule Condition
Business Rule Conditions

Did this topic help you? Email us your feedback.
Last updated: 7/18/2007 12:16:53 PM


View a Business Rule Condition

  1. To view existing business events, select List.

    Note: You may optionally specify filter criteria before selecting List.

  2. To view the business rule conditions, select the business rule in the list.
  3. Select the Conditions tab.

See Also

Business Rule Conditions

Update a Business Rule Condition

Add a Business Rule Condition

Remove a Condition from a Business Rule

Business Rule Conditions Screenshot

Next

Update a Business Rule Condition
View a Business Rule Condition

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 3:20:18 PM


Update a Business Rule Condition

  1. Select the business rule from the top list.
  2. On the Conditions tab under Business Rule Conditions, use the dropdown lists and/or the [image] button to change existing conditions.
  3. To save, select Replace.

See Also

Business Rule Conditions

View a Business Rule Condition

Add a Business Rule Condition

Remove a Condition from a Business Rule

Business Rule Conditions Screenshot

Next

Add a Business Rule Condition
Update a Business Rule Condition

Did this topic help you? Email us your feedback.
Last updated: 10/24/2007 10:26:59 AM


Add a Business Rule Condition

  1. Select the business rule from the top list.
  2. On the Conditions tab, select Add Condition.
  3. With the new dropdown list titled "Please Select," choose the condition property.

    Note: Defining the Operator and the Value is optional. The calendar button will become functional if the property is of type date/time.

  4. To save, select Replace.

See Also

Business Rule Conditions

View a Business Rule Condition

Update a Business Rule Condition

Remove a Condition from a Business Rule

Business Rule Conditions Screenshot

Next

Remove a Condition from a Business Rule
Add a Business Rule Condition

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 3:21:10 PM


Remove a Condition from a Business Rule

  1. Select the business rule from the top list.
  2. On the Conditions tab under Business Rule Conditions, use the checkboxes to select which condition(s) to delete.
  3. To remove the condition(s) from the list, select Remove Selected.
  4. To save, select Replace.

See Also

Business Rule Conditions

View a Business Rule Condition

Update a Business Rule Condition

Add a Business Rule Condition

Business Rule Conditions Screenshot

Next

Business Rule Conditions Screenshot
Remove a Condition from a Business Rule

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 3:21:26 PM


Business Rule Conditions Screenshot

See Also

Business Rule Conditions

View a Business Rule Condition

Update a Business Rule Condition

Add a Business Rule Condition

Remove a Condition from a Business Rule

Next

Business Rule Actions
Business Rule Conditions Screenshot

Did this topic help you? Email us your feedback.
Last updated: 2/24/2009 5:01:13 PM


Business Rule Actions

Each business rule must contain at least one action.

See Also

Business Rules

Business Rules - General

Business Rule Details

Business Rule Events

Business Rule Conditions

Next

View a Business Rule Action
Business Rule Actions

Did this topic help you? Email us your feedback.
Last updated: 7/18/2007 12:18:19 PM


View a Business Rule Action

  1. To view existing business events, select List.

    Note: You may optionally specify filter criteria before selecting List.

  2. To view the business rule actions, select the business rule in the list.
  3. Select the Actions tab.

See Also

Business Rule Actions

Update a Business Rule Action

Add an Action to a Business Rule

Remove an Action from a Business Rule

Define Notifications

Define the Frequency and Content of the Notification

Business Rule Actions Screenshot

Next

Update a Business Rule Action
View a Business Rule Action

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 3:22:40 PM


Update a Business Rule Action

  1. Select the business rule in the list.
  2. On the Actions tab under Actions Summary, use the checkboxes to select the action.
  3. Select Open Action, or double-click on the action.
  4. On the Notify Lists tab and/or the Frequency & Messages tab, enter the updates.

    Note: For more detailed information on this section, see Define Notifications and/or Define the Frequency and Content of the Notification.

  5. To save, select Save.

See Also

Business Rule Actions

View a Business Rule Action

Add an Action to a Business Rule

Remove an Action from a Business Rule

Define Notifications

Define the Frequency and Content of the Notification

Business Rule Actions Screenshot

Next

Add an Action to a Business Rule
Update a Business Rule Action

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 3:23:09 PM


Add an Action to a Business Rule

  1. Select the business rule in the list.
  2. On the Actions tab, select New Action.
  3. In the new window, enter the Action Title and the new action data.

    Note: The only required information for a new action is the Action Title (Notify Lists tab) and Message (Frequency & Messages tab). All other information is optional. For more detailed information on this section, see Define Notifications and/or Define the Frequency and Content of the Notification.

  4. To add the new action, select Save.
  5. To save the new action to the business rule, select Replace.

See Also

Business Rule Actions

View a Business Rule Action

Update a Business Rule Action

Remove an Action from a Business Rule

Define Notifications

Define the Frequency and Content of the Notification

Business Rule Actions Screenshot

Next

Remove an Action from a Business Rule
Add an Action to a Business Rule

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 3:24:00 PM


Remove an Action from a Business Rule

  1. Select the business rule in the list.
  2. On the Actions tab under Actions Summary, use the checkboxes to select which action(s) to delete.
  3. To remove the action(s) from the list, select Remove Selected.
  4. To save, select Replace.

See Also

Business Rule Actions

View a Business Rule Action

Update a Business Rule Action

Add an Action to a Business Rule

Define Notifications

Define the Frequency and Content of the Notification

Business Rule Actions Screenshot

Next

Define Notifications
Remove an Action from a Business Rule

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 3:24:14 PM


Define Notifications

The Manage Business Rules - Action window opens when you click New Action or Open Action from the Actions tab on the Manage Business Rules page.

The Notify Lists tab defines who will be notified and with what urgency. Individual users can be notified, as can aliases. Aliases are resolved when the business rule is executed.

  1. In the Manage Business Rules - Action window on the Notify Lists tab, the following can be defined:
    • Select a user or alias: To filter the users and aliases listed in this section, enter a search filter and select List. Then select a user or alias from the list, and click the top or bottom arrow button to add the selection to either the Notify or CC lists.
    • Assign an urgency level to the user or alias: Use the checkboxes to select the user or alias, and use the dropdown list to assign an urgency to the message.
    • Remove a user or alias from the notify list: Use the checkboxes to select the user or alias. Next, select Remove Selected.
  2. To save, select Save.

See Also

Business Rule Actions

View a Business Rule Action

Update a Business Rule Action

Add an Action to a Business Rule

Remove an Action from a Business Rule

Define the Frequency and Content of the Notification

Business Rule Actions Screenshot

Next

Define the Frequency and Content of the Notification
Define Notifications

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 3:32:13 PM


Define the Frequency and Content of the Notification

The Manage Business Rules - Action window opens when you click New Action or Open Action from the Actions tab on the Manage Business Rules page.

The Frequency & Messages tab defines when the business rule will run, how often it should repeat, how long it should repeat, and what the message to be sent is. Messages can include variables, which are resolved when the business rule is executed.

  1. In the Manage Business Rules - Action window on the Frequency & Messages tab, the following can be defined:
    • Set when the business rule action will run: Next to Start Action, select the clock button. Enter the when the action should start. The time can also be set to Negative Time, meaning that the action will be set to take place before the timestamp. Next to User, choose what time system to use. Using the From dropdown list, tell the system when to start the business rule. For example, the system can track the business rule when the starting event occurs or after a predefined elapsed time.
    • Set how often the business rule action should repeat: Next to Repeat Every, select the clock button. Enter the when the action should begin to repeat. The time can also be set to Negative Time, meaning that the action will be set to repeat before the timestamp. Next to Message Type, choose Message (a message is sent out for the action) or Command Line (the command line is run, but no message is sent out).
    • Set how long the business rule action should repeat: Next to For, select the clock button. Enter for how long the action should repeat.
    • Write a message: Under the section Message or Pager Message, enter the message to be displayed when this action is run.
    • Use a variable in a message: Under the section Variables, select a variable to include with the message. Use the top or bottom arrow button to add the selection to either the Message or Pager Message.
  2. To save, select Save.

See Also

Business Rule Actions

View a Business Rule Action

Update a Business Rule Action

Add an Action to a Business Rule

Remove an Action from a Business Rule

Define Notifications

Business Rule Actions Screenshot

Next

Business Rule Actions Screenshot
Define the Frequency and Content of the Notification

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 3:33:03 PM


Business Rule Actions Screenshot

See Also

Business Rule Actions

View a Business Rule Action

Update a Business Rule Action

Add an Action to a Business Rule

Remove an Action from a Business Rule

Define Notifications

Define the Frequency and Content of the Notification

Next

Rule Properties
Business Rule Actions Screenshot

Did this topic help you? Email us your feedback.
Last updated: 2/24/2009 5:01:30 PM


Rule Properties

Rule properties are used when creating business rules.

See Also

Business Rules

Business Rules

Business Rule Usage

Next

View a Rule Property
Rule Properties

Did this topic help you? Email us your feedback.
Last updated: 7/16/2007 4:46:09 PM


View a Rule Property

  1. To view existing rule properties, select List.

    Note: You may optionally specify filter criteria before selecting List.

  2. To view the rule property details, select the rule property in the list.

See Also

Rule Properties

Add a Rule Property

Update a Rule Property

Delete a Rule Property

Rule Properties Screenshot

Next

Add a Rule Property
View a Rule Property

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 3:43:38 PM


Add a Rule Property

  1. In the Rule Property Details section, enter the new rule property data:
    • Object Type: To select the object type, use this dropdown list.
    • Sub Type: To select the sub type, use this dropdown list.
    • Name: Enter the rule property name.
    • Path: Use the Path button to open the Path Editor. For more information, go to the Path Editor section of this guide.
    • Value Type: To define the field's value, use the dropdown list.
    • Maximum Length: Use this field to set the maximum length of the value.
    • Extra Info: Enter any extra information if needed.
  2. To save, select Add.

See Also

Rule Properties

View a Rule Property

Update a Rule Property

Delete a Rule Property

Rule Properties Screenshot

Next

Update a Rule Property
Add a Rule Property

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 3:43:31 PM


Update a Rule Property

  1. Select a rule property in the list.
  2. In the Rule Property Details section, enter the updates.

    Note: For more information on paths, go to the Path Editor section of this guide.

  3. To save, select Replace.

See Also

Rule Properties

View a Rule Property

Add a Rule Property

Delete a Rule Property

Rule Properties Screenshot

Next

Delete a Rule Property
Update a Rule Property

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 3:43:49 PM


Delete a Rule Property

  1. Select a rule property in the list.
  2. In the Rule Property Details section, select Delete.
  3. In the warning message box, select OK.

See Also

Rule Properties

View a Rule Property

Add a Rule Property

Update a Rule Property

Rule Properties Screenshot

Next

Rule Properties Screenshot
Delete a Rule Property

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 3:44:03 PM


Rule Properties Screenshot

See Also

Rule Properties

View a Rule Property

Add a Rule Property

Update a Rule Property

Delete a Rule Property

Next

Business Rule Usage
Rule Properties Screenshot

Did this topic help you? Email us your feedback.
Last updated: 2/24/2009 5:02:09 PM


Business Rule Usage

The Business Rule Usage Report shows the business rules that are fired, including their frequency. Perhaps even more importantly, it allows you to see the rules that are not being fired. Perhaps those rules could be removed, or made inactive, therefore simplifying your business rule administration.

The report can be filtered by different time periods.

Business Rule Usage Report Screenshot

See Also

Business Rules

Business Rules

Rule Properties

Next

Auto-Destination
Business Rule Usage

Did this topic help you? Email us your feedback.
Last updated: 8/6/2012 2:52:18 PM


Auto-Destination

Next

Auto-Destination Rules
Auto-Destination

Did this topic help you? Email us your feedback.
Last updated: 8/6/2012 12:32:38 PM


Auto-Destination Rules

Here you can manage the auto-destination rules used throughout your system.

See Also

Auto-Destination

Next

View a Rule
Auto-Destination Rules

Did this topic help you? Email us your feedback.
Last updated: 8/6/2012 12:32:42 PM


View a Rule

To view an auto-destination rule, select an Object Type and/or Operation. The rule will be displayed in the Rule Expressions grid, if it is defined, when you make selection in either drop-down list. If no rule is defined for the specified combination of object type and operation, the grid will be empty.

See Also

Auto-Destination Rules

Add a Rule

Update a Rule

Update Rule Properties

Test a Rule

Auto-Destination Rule Screenshot

Next

Add a Rule
View a Rule

Did this topic help you? Email us your feedback.
Last updated: 11/17/2009 10:53:05 AM


Add a Rule

To add a new auto-destination rule, click New. A new, empty row will be added to the Rule Expressions grid. Follow the Update Rule Properties scenario to finish defining the new rule.

See Also

Auto-Destination Rules

View a Rule

Update a Rule

Update Rule Properties

Test a Rule

Auto-Destination Rule Screenshot

Next

Update a Rule
Add a Rule

Did this topic help you? Email us your feedback.
Last updated: 11/20/2009 3:17:02 PM


Update a Rule

Every auto-destination rule consists of one or more pairs of "expression -> destination". To update a rule, select a row in the Rule Expressions grid, and click:

  • New - a new empty row will be added to the grid
  • Clone - the selected "expression -> destination" pair will be duplicated
  • Remove - the selected "expression -> destination" pair will be deleted
  • Up or Down - the selected "expression -> destination" pair will be moved up or down one row within the grid.

Once a row in the Rule Expressions grid is selected it can be edited using controls in Rule Options and Conditions sections. Follow the Update Rule Properties scenario to finish modifications to the rule.

After all the desired modifications are made, click Save to store the rule.

See Also

Auto-Destination Rules

View a Rule

Add a Rule

Update Rule Properties

Test a Rule

Auto-Destination Rule Screenshot

Next

Update Rule Properties
Update a Rule

Did this topic help you? Email us your feedback.
Last updated: 11/20/2009 3:17:48 PM


Update Rule Properties

Auto-destination rule properties are divided into:

  • rule options: auto-dispatch option, destination
  • rule expression: one or more conditions and logical operators

Rule Options:

auto-dispatch option - if the Make the Dispatch action instant if only one destination found checkbox is checked, the 'AUTO_DISPATCH' text is prefixed to the rule expression which will make the system execute the dispatch action immediately if only one destination meets the criteria stated in this rule expression. If this box is not checked, the user is going to be presented with a choice list of destinations.

destination - depending on the operation selected, the destination is either a User Login (for ASSIGN operation only) or a Queue name (for all other operations).

  • for ASSIGN operation, the destination may be defined by stating a user login ID explicitly, or it can be retrieved by the system from a specified field.
  • for all operations other than ASSIGN, the destination may be defined by stating a queue name explicitly, or it can be retrieved by the system from a specified field.
To specify a queue name / user login:
  1. select User Login / Queue Name radio button
  2. enter a name in the adjacent text box, and/or
  3. click Find A User Login / Find A Queue button to verify and select a name from the list.
To specify a field:
  1. select Path To A Field Containing User Login / Path To A Field Containing Queue Name radio button
  2. enter a full path in the adjacent text box, or
  3. click Build A Path button to access Auto-Destination Target Path builder window
    1. build the path and save it by double-clicking on the target field within the Auto-Destination Target Path builder window.

      Note: For more information on paths, go to the Path Editor section of this guide.

Rule Expression:

This section consists of:

  • validation box: a place where all the conditions of the expression are combined and any syntax errors are highlighted
  • condition builder: a set of controls to define a path to a field, an operator, and a value to compare to
  • condition grid: a table in which all the conditions and operators can be accessed and manipulated individually
  • action buttons
To update the expression, use the buttons next to the condition grid:
  • Add - to insert a new condition after the currently selected one
  • Replace - to modify the currently selected condition
  • Up or Down - the selected condition will be moved up or down one row within the grid.
  • Remove - to delete the currently selected condition
To prepare or update a condition:
  1. enter a full path in the Path text box, or
  2. click Edit Path button to access Auto-Destination Rule Clause Path builder window
    1. build the path and save it by double-clicking on the target field within the Auto-Destination Rule Clause Path builder window
  3. select a comparison operator from the Operator drop-down list
  4. enter a value to compare into the Value text box (enclose strings in double-quotes)
  5. when finished, click Add or Replace to accept the new condition into the grid
  6. use Clear to empty both Path and Value fields
To build a complex expression:
  • use ( and ) to group conditions
  • use AND and/or OR between conditions and/or groups of conditions
  • (, ), AND, OR will be added after the currently selected condition or at the top of the grid if none is selected
  • the resulting expression will be verified syntactically. Any errors will be highlighted by:
    • a red border within the Rule Expression validation box,
    • a message explaining the nature of the error.
  • the rule expression will be immediately updated in the validation box to show the resulting expression in whole, with a syntax error highlighted (if any found) and the currently selected condition/operator emphasized with a colored background.

See Also

Auto-Destination Rules

View a Rule

Add a Rule

Update a Rule

Test a Rule

Auto-Destination Rule Screenshot

Next

Test a Rule
Update Rule Properties

Did this topic help you? Email us your feedback.
Last updated: 11/20/2009 3:27:27 PM


Test a Rule

Once a rule is complete, free of syntax errors, and saved to the database, it can be tested.

To test the currently displayed rule:
  1. click Test. The Rule Tester box opens.
  2. enter the object identifying value, i.e. a number for case-based rules
  3. click Test
  4. if the rule evaluates to a list of destinations they will be shown in the Destinations grid. This is the same list a user is going to see at the time of dispatch/assign.
  5. if the grid is empty it means the object would not be auto-dispatched because it does not meet the criteria of the rule.
  6. use Close or press Esc key to exit the Rule Tester box and return to Manage Auto-Destination Rules screen.

See Also

Auto-Destination Rules

View a Rule

Add a Rule

Update a Rule

Update Rule Properties

Auto-Destination Rule Screenshot

Next

Auto-Destination Rule Screenshot
Test a Rule

Did this topic help you? Email us your feedback.
Last updated: 11/20/2009 11:02:25 AM


Auto-Destination Rule Screenshot

See Also

Auto-Destination Rules

View a Rule

Add a Rule

Update a Rule

Update Rule Properties

Test a Rule

Next

Configuration
Auto-Destination Rule Screenshot

Did this topic help you? Email us your feedback.
Last updated: 11/20/2009 3:05:26 PM


Configuration

In This Chapter

Configuration Items

Numbering Schemes

Queues

Next

Configuration Items
Configuration

Did this topic help you? Email us your feedback.
Last updated: 8/16/2007 3:10:35 PM


Configuration Items

See Also

Configuration

Numbering Schemes

Queues

Next

View a Configuration Item
Configuration Items

Did this topic help you? Email us your feedback.
Last updated: 7/18/2007 12:19:30 PM


View a Configuration Item

  1. To view existing configuration items, select List.

    Note: You may optionally specify filter criteria before selecting List.

  2. To view the configuration item details, select an item in the list.

See Also

Configuration Items

Add a Configuration Item

Update a Configuration Item

Delete a Configuration Item

Configuration Items Screenshot

Next

Add a Configuration Item
View a Configuration Item

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 3:44:50 PM


Add a Configuration Item

  1. In the Configuration Item Information section, enter the new item data.

    Note: Name is a required field, but the description field is optional. If the value type is set to Integer, the value must be either empty or a valid integer. If the value type is set to Floating Point, the value must be a floating point value.

  2. To save, select Add Item.

See Also

Configuration Items

View a Configuration Item

Update a Configuration Item

Delete a Configuration Item

Configuration Items Screenshot

Next

Update a Configuration Item
Add a Configuration Item

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 3:44:37 PM


Update a Configuration Item

  1. Select the configuration item in the list.
  2. In the Configuration Item Information section, enter the updates.

    Note: If the value type is changed to Integer, the value must be either empty or a valid integer. If the value type is changed to Floating Point, the value must be a floating point value.

  3. Select Update Item.

See Also

Configuration Items

View a Configuration Item

Add a Configuration Item

Delete a Configuration Item

Configuration Items Screenshot

Next

Delete a Configuration Item
Update a Configuration Item

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 3:45:14 PM


Delete a Configuration Item

  1. Select the configuration item in the list.
  2. Select Delete Item.
  3. In the Window's dialog box, select OK.

See Also

Configuration Items

View a Configuration Item

Add a Configuration Item

Update a Configuration Item

Configuration Items Screenshot

Next

Configuration Items Screenshot
Delete a Configuration Item

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 3:45:24 PM


Configuration Items Screenshot

See Also

Configuration Items

View a Configuration Item

Add a Configuration Item

Update a Configuration Item

Delete a Configuration Item

Next

Numbering Schemes
Configuration Items Screenshot

Did this topic help you? Email us your feedback.
Last updated: 2/25/2009 10:50:47 AM


Numbering Schemes

Here you can manage the autonumbering sequences used in your system.

See Also

Configuration

Configuration Items

Queues

Next

View a Number Scheme
Numbering Schemes

Did this topic help you? Email us your feedback.
Last updated: 7/18/2007 12:19:34 PM


View a Number Scheme

  1. To view existing numbering schemes, select List.

    Note: You may optionally specify filter criteria before selecting List.

  2. To view number scheme details, select an item in the list.

See Also

Numbering Schemes

Add a Number Scheme

Update a Number Scheme

Delete a Number Scheme

Numbering Schemes Screenshot

Next

Add a Number Scheme
View a Number Scheme

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 3:46:41 PM


Add a Number Scheme

  1. In the Numbering Scheme Details section, enter the new number scheme data.
    • Numbering Scheme Name: Enter the new scheme name.
    • Number Format: Enter the format for the new numbering scheme. The number format uses printf syntax to determine what the number will look like. For example, if the number format is Case%d%m%y_%i, the next number is 123, and today's date is December 3, 2006, then the id would be Case120306_123.
    • Counter: To add an incremental counter to the number format, select the Counter.
    • Date Format: Use the dropdown list to select a date format.
    • Starting Value: The default starting value is 1. To change, enter a new value.
    • Ending Value: The default ending value is 2147483647. To change, enter a new value.
    • Padding Format: Use the dropdown list to select a padding format.
  2. To save, select Add.

See Also

Numbering Schemes

View a Number Scheme

Update a Number Scheme

Delete a Number Scheme

Numbering Schemes Screenshot

Next

Update a Number Scheme
Add a Number Scheme

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 3:46:34 PM


Update a Number Scheme

  1. Select the number scheme in the list.
  2. In the Numbering Scheme Details section, enter the updates.
  3. Select Update.

See Also

Numbering Schemes

View a Number Scheme

Add a Number Scheme

Delete a Number Scheme

Numbering Schemes Screenshot

Next

Delete a Number Scheme
Update a Number Scheme

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 3:46:54 PM


Delete a Number Scheme

  1. Select the number scheme in the list.
  2. In the Numbering Scheme Details section, select Delete.
  3. In the Window's dialog box, select OK.

See Also

Numbering Schemes

View a Number Scheme

Add a Number Scheme

Update a Number Scheme

Numbering Schemes Screenshot

Next

Numbering Schemes Screenshot
Delete a Number Scheme

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 3:47:15 PM


Numbering Schemes Screenshot

See Also

Numbering Schemes

View a Number Scheme

Add a Number Scheme

Update a Number Scheme

Delete a Number Scheme

Next

Queues
Numbering Schemes Screenshot

Did this topic help you? Email us your feedback.
Last updated: 2/25/2009 10:51:46 AM


Queues

Here you can manage the queues that are used in your system.

See Also

Configuration

Configuration Items

Numbering Schemes

Next

View a Queue
Queues

Did this topic help you? Email us your feedback.
Last updated: 7/18/2007 12:20:31 PM


View a Queue

  1. To view existing queues, select List.

    Note: You may optionally specify filter criteria before selecting List.

  2. To view the queue details, select the queue in the list.

See Also

Queues

Add a Queue

Update a Queue

Delete a Queue

Add a Member to a Queue

Delete a Member from a Queue

Viewing Queue Activity

Queues Screenshot

Next

Add a Queue
View a Queue

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 3:47:47 PM


Add a Queue

  1. In the Queue Details section on the Queue tab, enter the new queue data.
    • Queue Title: Enter the queue title.
    • Description: (Optional) Enter the queue description.
    • Queue Type: Select personal or shared. If it is a personal queue, the queue can only have one member (or one supervisor/member). Shared queues can have unlimited members/supervisors.
    • Allow for Dispatch: To set what queue items are dispatched, use the check boxes.
  2. In the Queue Details section on the Membership tab, enter the new membership data.
    • User: To view users, select List. You may optionally specify filter criteria before selecting List.
    • Members: To add members to the queue, select the user from the list, and select the Add button >> next to the Members section.
    • Supervisors: To add supervisors to the queue, select the user from the list, and select the Add button >> next to the Supervisors section.
  3. To save, select Add Queue.

See Also

Queues

View a Queue

Update a Queue

Delete a Queue

Add a Member to a Queue

Delete a Member from a Queue

Viewing Queue Activity

Queues Screenshot

Next

Update a Queue
Add a Queue

Did this topic help you? Email us your feedback.
Last updated: 1/20/2009 2:51:07 PM


Update a Queue

  1. Select the queue from the list.
  2. In the Queue Details section, enter the updates on the Queue tab and/or Membership tab.

    Note: You may not update a personal queue if you have assigned more than one member or supervisor to the queue. If you have a shared queue with multiple members or supervisors, and wish to change it to a personal queue, you must first remove all but one member and supervisor from the queue.

  3. Select Update Queue.

See Also

Queues

View a Queue

Add a Queue

Delete a Queue

Add a Member to a Queue

Delete a Member from a Queue

Viewing Queue Activity

Queues Screenshot

Next

Delete a Queue
Update a Queue

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 3:49:34 PM


Delete a Queue

  1. Select the queue from the list.
  2. In the Queue Details section, select Delete Queue.

    Note: You may not delete a queue if there are any objects currently dispatched to the queue.

  3. In the Window's dialog box, select OK.

See Also

Queues

View a Queue

Add a Queue

Update a Queue

Add a Member to a Queue

Delete a Member from a Queue

Viewing Queue Activity

Queues Screenshot

Next

Add a Member to a Queue
Delete a Queue

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 3:49:47 PM


Add a Member to a Queue

  1. Select the queue from the list.
  2. In the Queue Details section, select the Membership tab.
  3. To view users, select List.

    Note: You may optionally specify filter criteria before selecting List.

  4. To add users as Members or Supervisors, click on the row with the user from the list, and click the [image] button below either the Members or Supervisors sections.
  5. To save, select Update Queue.

See Also

Queues

View a Queue

Add a Queue

Update a Queue

Delete a Queue

Delete a Member from a Queue

Viewing Queue Activity

Queues Screenshot

Next

Delete a Member from a Queue
Add a Member to a Queue

Did this topic help you? Email us your feedback.
Last updated: 1/20/2009 2:50:17 PM


Delete a Member from a Queue

  1. Select the queue from the list.
  2. In the Queue Details section, select the Membership tab.
  3. Under the Members or Supervisors sections, select the member.
  4. To remove a Member from the list, click the row of the Member, then click the [image] button above the Member section.
  5. To remove a Supervisor from the list, click the row of the Supervisor, then click the [image] button above the Supervisor section.
  6. To save the changes, select Update Queue.

See Also

Queues

View a Queue

Add a Queue

Update a Queue

Delete a Queue

Add a Member to a Queue

Viewing Queue Activity

Queues Screenshot

Next

Viewing Queue Activity
Delete a Member from a Queue

Did this topic help you? Email us your feedback.
Last updated: 1/20/2009 2:50:09 PM


Viewing Queue Activity

  1. Select the queue from the list.
  2. In the Queue Details section, select the Activity Log tab.
  3. To view the Queue activity, select List.

    Note: You may optionally specify filter criteria before selecting List.

  4. To view the details of a specific activity entry, double-click the activity row in the grid.

See Also

Queues

View a Queue

Add a Queue

Update a Queue

Delete a Queue

Add a Member to a Queue

Delete a Member from a Queue

Queues Screenshot

Next

Queues Screenshot
Viewing Queue Activity

Did this topic help you? Email us your feedback.
Last updated: 1/20/2009 2:50:00 PM


Queues Screenshot

See Also

Queues

View a Queue

Add a Queue

Update a Queue

Delete a Queue

Add a Member to a Queue

Delete a Member from a Queue

Viewing Queue Activity

Next

Parts
Queues Screenshot

Did this topic help you? Email us your feedback.
Last updated: 2/25/2009 10:52:19 AM


Parts

In This Chapter

Part Numbers

Part Domains

Part Classes

Part Catalogs

Next

Part Numbers
Parts

Did this topic help you? Email us your feedback.
Last updated: 8/16/2007 3:10:42 PM


Part Numbers

See Also

Parts

Part Domains

Part Classes

Part Catalogs

Next

Details
Part Numbers

Did this topic help you? Email us your feedback.
Last updated: 7/10/2007 4:18:07 PM


Details

See Also

Part Numbers

Revisions

Bill of Materials

Alternate Parts

Catalog Inclusions

Next

View a Part Number
Details

Did this topic help you? Email us your feedback.
Last updated: 7/19/2007 11:16:33 AM


View a Part Number

  1. Select Part Numbers.
  2. To view existing part numbers, enter at least one search filter (one or more characters) under the List part numbers whose section.
  3. To view the part number information, select the part number in the list and select Open, or double-click the part number row.

See Also

Details

Add a Part Number

Update a a Part Number's Details

Copy a Part Number

List BOM inclusions

Part Numbers - Details Tab Screenshot

Next

Add a Part Number
View a Part Number

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:59:18 PM


Add a Part Number

  1. Select Part Numbers.
  2. From the bottom of the page, select New.
  3. At the top of the page, enter the new part number data.
  4. On the Details tab, enter all applicable information.
  5. Select Add.

See Also

Details

View a Part Number

Update a a Part Number's Details

Copy a Part Number

List BOM inclusions

Part Numbers - Details Tab Screenshot

Next

Update a a Part Number's Details
Add a Part Number

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:58:49 PM


Update a a Part Number's Details

  1. Select the part number in the list.
  2. On the Details tab, enter the updates.
  3. Select Update.

See Also

Details

View a Part Number

Add a Part Number

Copy a Part Number

List BOM inclusions

Part Numbers - Details Tab Screenshot

Next

Copy a Part Number
Update a a Part Number's Details

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:59:37 PM


Copy a Part Number

  1. Select the part number in the list.
  2. Select Copy.

    Note: Selecting Copy will add a '_rev' to the part number. To change this and other part number details, enter the changes and select Update.

See Also

Details

View a Part Number

Add a Part Number

Update a a Part Number's Details

List BOM inclusions

Part Numbers - Details Tab Screenshot

Next

List BOM inclusions
Copy a Part Number

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:59:46 PM


List BOM inclusions

  1. Select the part number in the list.
  2. On the Details tab, select Where Used.

    Note: From here, you can click a row and Open to view or make changes to any BOM part numbers listed. Select the part number in the

See Also

Details

View a Part Number

Add a Part Number

Update a a Part Number's Details

Copy a Part Number

Part Numbers - Details Tab Screenshot

Next

Revisions

Part Numbers - Details Tab Screenshot

List BOM inclusions

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:59:55 PM


Revisions

See Also

Part Numbers

Details

Bill of Materials

Alternate Parts

Catalog Inclusions

Next

View a Revision
Revisions

Did this topic help you? Email us your feedback.
Last updated: 7/17/2007 3:44:53 PM


View a Revision

  1. Select Part Numbers.
  2. To view existing part numbers, enter at least one search filter (one or more characters) under the List part numbers whose section.
  3. To view the part number information, select the part number in the list and select Open, or double-click the part number row.
  4. Select the Revisions tab.
  5. To view the revision details, select the revision in the list.

See Also

Revisions

Add a Revision

Update a Revision

Copy a Revision

Part Numbers - Revisions Tab Screenshot

Next

Add a Revision
View a Revision

Did this topic help you? Email us your feedback.
Last updated: 7/17/2007 3:25:45 PM


Add a Revision

  1. Select the part number from the list.
  2. On the Revision tab, enter the new revision data. Select a revision date with the [image] button.
    • If a revision row is already selected, select Clear.
    • The Replaced by PN/Rev fields can not be altered on this screen. These fields are populated once that information is entered for the replacement part number.
  3. Select Add Revision.

See Also

Revisions

View a Revision

Update a Revision

Copy a Revision

Part Numbers - Revisions Tab Screenshot

Next

Update a Revision
Add a Revision

Did this topic help you? Email us your feedback.
Last updated: 10/24/2007 10:28:34 AM


Update a Revision

  1. Select the part number from the list.
  2. On the Revision tab, select the revision in the list.
  3. Enter the updates. Select a revision date using the [image] button.
    • The Replaced by PN/Rev fields can not be altered on this screen. These fields are populated once that information is entered for the replacement part number.
  4. Select Update Revision.

See Also

Revisions

View a Revision

Add a Revision

Copy a Revision

Part Numbers - Revisions Tab Screenshot

Next

Copy a Revision
Update a Revision

Did this topic help you? Email us your feedback.
Last updated: 10/24/2007 10:29:01 AM


Copy a Revision

  1. Select the part number from the list.
  2. On the Revision tab, select the revision in the list.
  3. Select Copy Revision.
    • Selecting Copy Revision will add a '_rev' to the part number. To change this and other part number details, enter the changes and select Update.

See Also

Revisions

View a Revision

Add a Revision

Update a Revision

Part Numbers - Revisions Tab Screenshot

Next

Part Numbers - Revisions Tab Screenshot
Copy a Revision

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 5:01:32 PM


Part Numbers - Revisions Tab Screenshot

See Also

Revisions

View a Revision

Add a Revision

Update a Revision

Copy a Revision

Next

Bill of Materials
Part Numbers - Revisions Tab Screenshot

Did this topic help you? Email us your feedback.
Last updated: 2/25/2009 10:55:05 AM


Bill of Materials

See Also

Part Numbers

Details

Revisions

Alternate Parts

Catalog Inclusions

Next

View a Part's BOM
Bill of Materials

Did this topic help you? Email us your feedback.
Last updated: 7/17/2007 4:30:45 PM


View a Part's BOM

  1. Select Part Numbers.
  2. To view existing part numbers, enter at least one search filter (one or more characters) under the List part numbers whose section.
  3. To view the part number information, select the part number in the list and select Open, or double-click the part number row.
  4. Select the Parts BOM tab.
  5. To view the BOM details, select the BOM in the list.

See Also

Bill of Materials

Add BOM to a Part

Remove BOM from a Part

List BOM Inclusions

Part Numbers - BOM Tab Screenshot

Next

Add BOM to a Part
View a Part's BOM

Did this topic help you? Email us your feedback.
Last updated: 7/17/2007 4:28:06 PM


Add BOM to a Part

  1. Select the part number from the list.
  2. On the Parts BOM tab, enter the new BOM part number data.
    • To search for part numbers, select the [image] button. After selecting List and choosing a part number to add, select Use/Done.
  3. To save, select Add.

See Also

Bill of Materials

View a Part's BOM

Remove BOM from a Part

List BOM Inclusions

Part Numbers - BOM Tab Screenshot

Next

Remove BOM from a Part
Add BOM to a Part

Did this topic help you? Email us your feedback.
Last updated: 10/24/2007 10:29:52 AM


Remove BOM from a Part

  1. Select the part number from the list.
  2. On the Parts BOM tab, select the BOM part.
  3. Select Remove.
  4. Select OK in the dialog box.

See Also

Bill of Materials

View a Part's BOM

Add BOM to a Part

List BOM Inclusions

Part Numbers - BOM Tab Screenshot

Next

List BOM Inclusions
Remove BOM from a Part

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 5:02:40 PM


List BOM Inclusions

  1. Select the part number from the list.
  2. On the Parts BOM tab, select the BOM part.
  3. Select Where Used.

    Note: From here, you can click a row, and Open to view or make changes to any part numbers listed.

See Also

Bill of Materials

View a Part's BOM

Add BOM to a Part

Remove BOM from a Part

Part Numbers - BOM Tab Screenshot

Next

Part Numbers - BOM Tab Screenshot
List BOM Inclusions

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 5:02:51 PM


Part Numbers - BOM Tab Screenshot

See Also

Bill of Materials

View a Part's BOM

Add BOM to a Part

Remove BOM from a Part

List BOM Inclusions

Next

Alternate Parts
Part Numbers - BOM Tab Screenshot

Did this topic help you? Email us your feedback.
Last updated: 2/25/2009 10:55:30 AM


Alternate Parts

See Also

Part Numbers

Details

Revisions

Bill of Materials

Catalog Inclusions

Next

View an Alternate Part
Alternate Parts

Did this topic help you? Email us your feedback.
Last updated: 7/17/2007 4:36:25 PM


View an Alternate Part

  1. Select Part Numbers.
  2. To view existing part numbers, enter at least one search filter (one or more characters) under the List part numbers whose section.
  3. To view the part number information, select the part number in the list and select Open, or double-click the part number row.
  4. Select the Alternates tab.
  5. To view the alternate part details, select the part in the list.

See Also

Alternate Parts

Add an Alternate Part

Remove an Alternate Part

List Alternate BOM Inclusions

Part Numbers - Alternates Tab Screenshot

Next

Add an Alternate Part
View an Alternate Part

Did this topic help you? Email us your feedback.
Last updated: 7/17/2007 4:34:14 PM


Add an Alternate Part

  1. Select the part number from the list.
  2. On the Alternates tab, enter the new alternate part number data.
    • To search for part numbers, select the [image] button. After selecting List and choosing a part number to add, select Use/Done.
  3. To save, select Add.

See Also

Alternate Parts

View an Alternate Part

Remove an Alternate Part

List Alternate BOM Inclusions

Part Numbers - Alternates Tab Screenshot

Next

Remove an Alternate Part
Add an Alternate Part

Did this topic help you? Email us your feedback.
Last updated: 10/24/2007 10:30:16 AM


Remove an Alternate Part

  1. Select the part number from the list.
  2. On the Alternates tab, select the alternate part.
  3. Select Remove.
  4. Select OK in the dialog box.

See Also

Alternate Parts

View an Alternate Part

Add an Alternate Part

List Alternate BOM Inclusions

Part Numbers - Alternates Tab Screenshot

Next

List Alternate BOM Inclusions
Remove an Alternate Part

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 5:03:34 PM


List Alternate BOM Inclusions

  1. Select the part number from the list.
  2. On the Alternates tab, select the alternate part.
  3. Click Where Used.

    Note: From here, you can click a row and Open to view or make changes to any part numbers listed.

See Also

Alternate Parts

View an Alternate Part

Add an Alternate Part

Remove an Alternate Part

Part Numbers - Alternates Tab Screenshot

Next

Part Numbers - Alternates Tab Screenshot
List Alternate BOM Inclusions

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 5:03:54 PM


Part Numbers - Alternates Tab Screenshot

See Also

Alternate Parts

View an Alternate Part

Add an Alternate Part

Remove an Alternate Part

List Alternate BOM Inclusions

Next

Catalog Inclusions
Part Numbers - Alternates Tab Screenshot

Did this topic help you? Email us your feedback.
Last updated: 2/25/2009 10:55:48 AM


Catalog Inclusions

See Also

Part Numbers

Details

Revisions

Bill of Materials

Alternate Parts

Next

View the Catalogs a Part is in
Catalog Inclusions

Did this topic help you? Email us your feedback.
Last updated: 7/17/2007 4:42:52 PM


View the Catalogs a Part is in

  1. Select Part Numbers.
  2. To view existing part numbers, enter at least one search filter (one or more characters) under the List part numbers whose section.
  3. To view the part number information, select the part number in the list and select Open, or double-click the part number row.
  4. To view the part's catalog inclusions, select the Catalogs tab.

See Also

Catalog Inclusions

Add a Part to a Catalog

Remove a Part from a Catalog

Part Numbers - Catalogs Tab Screenshot

Next

Add a Part to a Catalog
View the Catalogs a Part is in

Did this topic help you? Email us your feedback.
Last updated: 7/17/2007 4:39:32 PM


Add a Part to a Catalog

  1. Select the part number from the list.
  2. On the Alternates tab, select the [image] button to search for catalogs.
  3. To view all catalogs, select List.

    Note: You may optionally specify filter criteria before selecting List.

  4. Select the catalog in the list.
  5. Select Use/Done.
  6. To save, select Add.

See Also

Catalog Inclusions

View the Catalogs a Part is in

Remove a Part from a Catalog

Part Numbers - Catalogs Tab Screenshot

Next

Remove a Part from a Catalog
Add a Part to a Catalog

Did this topic help you? Email us your feedback.
Last updated: 10/24/2007 10:30:48 AM


Remove a Part from a Catalog

  1. Select the part number from the list.
  2. On the Catalogs tab, select the catalog.
  3. Select Remove.
  4. Select OK in the Window's dialog box.

See Also

Catalog Inclusions

View the Catalogs a Part is in

Add a Part to a Catalog

Part Numbers - Catalogs Tab Screenshot

Next

Part Numbers - Catalogs Tab Screenshot
Remove a Part from a Catalog

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 5:04:43 PM


Part Numbers - Catalogs Tab Screenshot

See Also

Catalog Inclusions

View the Catalogs a Part is in

Add a Part to a Catalog

Remove a Part from a Catalog

Next

Part Domains
Part Numbers - Catalogs Tab Screenshot

Did this topic help you? Email us your feedback.
Last updated: 2/25/2009 10:56:58 AM


Part Domains

See Also

Parts

Part Numbers

Part Classes

Part Catalogs

Next

Add a Part Domain
Part Domains

Did this topic help you? Email us your feedback.
Last updated: 7/17/2007 4:46:20 PM


Add a Part Domain

  1. In the Part Domain Details section, enter the new part domain data.
  2. To save, select Add.

See Also

Part Domains

Update a Part Domain

Delete a Part Domain

Part Domains Screenshot

Next

Update a Part Domain
Add a Part Domain

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 5:05:36 PM


Update a Part Domain

  1. Select the part domain from the top list.
  2. In the Part Domain Details section, enter the updates.
  3. Select Update.

See Also

Part Domains

Add a Part Domain

Delete a Part Domain

Part Domains Screenshot

Next

Delete a Part Domain
Update a Part Domain

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 5:05:43 PM


Delete a Part Domain

  1. Select the part domain from the top list.
  2. In the Part Domain Details section, select Delete.

See Also

Part Domains

Add a Part Domain

Update a Part Domain

Part Domains Screenshot

Next

Part Domains Screenshot
Delete a Part Domain

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 5:06:00 PM


Part Domains Screenshot

See Also

Part Domains

Add a Part Domain

Update a Part Domain

Delete a Part Domain

Next

Part Classes
Part Domains Screenshot

Did this topic help you? Email us your feedback.
Last updated: 2/25/2009 10:57:31 AM


Part Classes

See Also

Parts

Part Numbers

Part Domains

Part Catalogs

Next

View a Part Class
Part Classes

Did this topic help you? Email us your feedback.
Last updated: 7/17/2007 4:49:35 PM


View a Part Class

  1. To view existing part classes, select List.

    Note: You may optionally specify filter criteria before selecting List.

  2. To view the part class details, select the part class in the list.

See Also

Part Classes

Add a Part Class

Update a Part Class

Delete a Part Class

Part Classes Screenshot

Next

Add a Part Class
View a Part Class

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 5:06:27 PM


Add a Part Class

  1. In the Part Class Details section, enter the new part class name. Adding a description is optional.
  2. To save, select Add.

See Also

Part Classes

View a Part Class

Update a Part Class

Delete a Part Class

Part Classes Screenshot

Next

Update a Part Class
Add a Part Class

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 5:06:22 PM


Update a Part Class

  1. Select the part class from the list.
  2. In the Part Class Details section, enter the updates.
  3. To save, select Update.

See Also

Part Classes

View a Part Class

Add a Part Class

Delete a Part Class

Part Classes Screenshot

Next

Delete a Part Class
Update a Part Class

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 5:06:31 PM


Delete a Part Class

  1. Select the part class from the list.
  2. In the Part Class Details section, select Delete.

See Also

Part Classes

View a Part Class

Add a Part Class

Update a Part Class

Part Classes Screenshot

Next

Part Classes Screenshot
Delete a Part Class

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 5:06:37 PM


Part Classes Screenshot

See Also

Part Classes

View a Part Class

Add a Part Class

Update a Part Class

Delete a Part Class

Next

Part Catalogs
Part Classes Screenshot

Did this topic help you? Email us your feedback.
Last updated: 2/25/2009 10:58:10 AM


Part Catalogs

See Also

Parts

Part Numbers

Part Domains

Part Classes

Next

View a Catalog
Part Catalogs

Did this topic help you? Email us your feedback.
Last updated: 7/17/2007 4:54:03 PM


View a Catalog

  1. To view existing catalogs, select List.

    Note: You may optionally specify filter criteria before selecting List.

  2. To view the catalog details, select the catalog in the list.

See Also

Part Catalogs

Add a Catalog

Update a Catalog

Delete a Catalog

Add a Part Number to a Catalog

Part Catalogs Screenshot

Next

Add a Catalog
View a Catalog

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 5:06:57 PM


Add a Catalog

  1. In the Part Catalog Details section, enter the new catalog data.
  2. To save, select Add.

See Also

Part Catalogs

View a Catalog

Update a Catalog

Delete a Catalog

Add a Part Number to a Catalog

Part Catalogs Screenshot

Next

Update a Catalog
Add a Catalog

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 5:06:50 PM


Update a Catalog

  1. Select a catalog from the top list.
  2. In the Part Catalog Details section, enter the updates.
  3. Select Update.

See Also

Part Catalogs

View a Catalog

Add a Catalog

Delete a Catalog

Add a Part Number to a Catalog

Part Catalogs Screenshot

Next

Delete a Catalog
Update a Catalog

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 5:07:07 PM


Delete a Catalog

  1. Select a catalog from the top list.
  2. In the Part Catalog Details section, select Delete.

    Note: You can only delete inactive catalogs.

See Also

Part Catalogs

View a Catalog

Add a Catalog

Update a Catalog

Add a Part Number to a Catalog

Part Catalogs Screenshot

Next

Add a Part Number to a Catalog
Delete a Catalog

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 5:07:29 PM


Add a Part Number to a Catalog

  1. Select a catalog from the top list.
  2. In the Part Catalog Details section, select Include PN.
  3. To view part numbers, select List.

    Note: You may optionally specify filter criteria before selecting List.

  4. Select Use/Done.

See Also

Part Catalogs

View a Catalog

Add a Catalog

Update a Catalog

Delete a Catalog

Part Catalogs Screenshot

Next

Part Catalogs Screenshot
Add a Part Number to a Catalog

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 5:08:13 PM


Part Catalogs Screenshot

See Also

Part Catalogs

View a Catalog

Add a Catalog

Update a Catalog

Delete a Catalog

Add a Part Number to a Catalog

Next

Dovetail Features
Part Catalogs Screenshot

Did this topic help you? Email us your feedback.
Last updated: 2/25/2009 10:58:32 AM


Dovetail Features

In This Chapter

Colors

Queries Objects

Flash Tables

Stored Procedures

Strings

Custom Business Rule Events and Event Creation Times

Next

Colors
Dovetail Features

Did this topic help you? Email us your feedback.
Last updated: 8/16/2007 3:10:51 PM


Colors

Here you can manage the color selections used in your system. To display the colors in a web page after they have been set, use the LoadColors and GetColor methods.

See Also

Dovetail Features

Queries Objects

Flash Tables

Stored Procedures

Strings

Custom Business Rule Events and Event Creation Times

Next

View a Color
Colors

Did this topic help you? Email us your feedback.
Last updated: 7/18/2007 12:24:48 PM


View a Color

  1. To view existing colors, select List.

    Note: You may optionally specify filter criteria before selecting List.

  2. To view the color, select the color in the list.

See Also

Colors

Add a Color

Update a Color

Delete a Color

Colors Screenshot

Next

Add a Color
View a Color

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 3:56:57 PM


Add a Color

  1. In the Color Information section, enter the new color data.
  2. To save, select Add Color.

See Also

Colors

View a Color

Update a Color

Delete a Color

Colors Screenshot

Next

Update a Color
Add a Color

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 3:56:41 PM


Update a Color

  1. Select the color from the top list.
  2. In the Color Information section, enter the updates.
  3. To save, select Update Color.

See Also

Colors

View a Color

Add a Color

Delete a Color

Colors Screenshot

Next

Delete a Color
Update a Color

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 3:57:09 PM


Delete a Color

  1. Select the color from the top list.
  2. In the Color Information section, select Delete Color.

See Also

Colors

View a Color

Add a Color

Update a Color

Colors Screenshot

Next

Colors Screenshot
Delete a Color

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 3:57:15 PM


Colors Screenshot

See Also

Colors

View a Color

Add a Color

Update a Color

Delete a Color

Next

Queries Objects
Colors Screenshot

Did this topic help you? Email us your feedback.
Last updated: 2/25/2009 10:59:16 AM


Queries Objects

Queries objects are used in Dovetail Agent to extract information from your database. Once an Queries object is created, it can be used to create database queries.

See Also

Dovetail Features

Colors

Flash Tables

Stored Procedures

Strings

Custom Business Rule Events and Event Creation Times

Next

Queries Object Manager Form
Queries Objects

Did this topic help you? Email us your feedback.
Last updated: 7/19/2007 9:49:39 AM


Queries Object Manager Form

The Queries Object Manager allows database tables and views to be set up as Queries objects. With these objects, users can create and execute database queries, which they can then view and use.

See Also

Queries Objects

Queries Object Columns Form

Next

Find a Queries Object
Queries Object Manager Form

Did this topic help you? Email us your feedback.
Last updated: 7/19/2007 9:37:14 AM


Find a Queries Object

  1. In the Existing Queries section, enter a query name next to Alias, and/or function name next to Open Function.
  2. Select Find.

    Note: You may use % characters in the alias name and/or function name for a wild-card type of search. The search is not case-sensitive.

  3. Use Clear button to erase all the search criteria.

See Also

Queries Object Manager Form

Create a Queries Object

Remove an Queries Object

Copy an Queries Object

Change an Queries Object Alias

Add an Open Function to an Queries Object

Modify an Object Column

Queries Object Manager Form Screenshot

Next

Create a Queries Object
Find a Queries Object

Did this topic help you? Email us your feedback.
Last updated: 2/18/2009 4:43:59 PM


Create a Queries Object

  1. In the List Objects in Database section, select List. You may optionally specify filter criteria before selecting List.
  2. Click on a database object in the list.

    Note: To change the object's alias before adding, enter a new name next to Alias, which defaults to the object name. Changing the alias name can be helpful if there will be multiple variations of the object set up for Queries, or if the object name does not clearly indicate the type of records it contains.

  3. To create the Queries object, select Add.

    Note: You may optionally double-click the object to add it, but this will not save any change to the alias name.

See Also

Queries Object Manager Form

Find a Queries Object

Remove an Queries Object

Copy an Queries Object

Change an Queries Object Alias

Add an Open Function to an Queries Object

Modify an Object Column

Queries Object Manager Form Screenshot

Next

Remove an Queries Object
Create a Queries Object

Did this topic help you? Email us your feedback.
Last updated: 2/18/2009 4:28:26 PM


Remove an Queries Object

  1. In the Existing Queries section, select the Queries object from the list.
  2. Select Remove.

    Note: Removing an Queries object will also remove all of the column definitions for the object and all existing user queries that have been built onto the object.

  3. In the verification dialog box, select OK.

See Also

Queries Object Manager Form

Find a Queries Object

Create a Queries Object

Copy an Queries Object

Change an Queries Object Alias

Add an Open Function to an Queries Object

Modify an Object Column

Queries Object Manager Form Screenshot

Next

Copy an Queries Object
Remove an Queries Object

Did this topic help you? Email us your feedback.
Last updated: 2/18/2009 4:37:24 PM


Copy an Queries Object

  1. In the Existing Queries section, select the Queries object from the list.
  2. Next to Alias, enter a new name for the copy.
  3. Select Copy.
  4. In the verification dialog box, select OK.

See Also

Queries Object Manager Form

Find a Queries Object

Create a Queries Object

Remove an Queries Object

Change an Queries Object Alias

Add an Open Function to an Queries Object

Modify an Object Column

Queries Object Manager Form Screenshot

Next

Change an Queries Object Alias
Copy an Queries Object

Did this topic help you? Email us your feedback.
Last updated: 2/18/2009 4:37:31 PM


Change an Queries Object Alias

  1. In the Existing Queries section, select the Queries object from the list.
  2. Next to Alias, enter a new alias name.
  3. Select Save.
  4. In the verification dialog box, select OK.

See Also

Queries Object Manager Form

Find a Queries Object

Create a Queries Object

Remove an Queries Object

Copy an Queries Object

Add an Open Function to an Queries Object

Modify an Object Column

Queries Object Manager Form Screenshot

Next

Add an Open Function to an Queries Object
Change an Queries Object Alias

Did this topic help you? Email us your feedback.
Last updated: 2/18/2009 4:37:37 PM


Add an Open Function to an Queries Object

Adding an open function is optional. Add an open function to provide access to the query results. To activate an object's open function in the results, double-click a row in the results grid.

Things to know about the open function:

  • Any function can be declared here. For a list of most of these functions, reference the open_windows.js file included with Dovetail Agent.
  • The Open Function definition must include the keyword '$objid$', which is replaced by the value from the database record when the function is executed. Single quotes must be used if required in this specification, since the function is enclosed within double quotes as an action on the query results grid. For example, to open a case from a case view, use an open function string of OpenCaseWindow( $objid$, '') to allow the case row to be double-clicked to open the case for viewing.

To add an open function:

  1. In the Existing Queries Objects section, select the Queries object from the list.
  2. Next to Open Function, enter the function.
  3. Select Save.

Built-In Open Functions

Open Functions are pre-defined for numerous objects, and do not need to be specified if these database objects are the base object in a query. The tables and views listed below use the listed pre-defined Open Functions:

  • account OpenAccountWindow(objid,'');
  • address OpenAddressWindow(objid,'','');
  • bug OpenCRWindow(objid);
  • bus_org OpenAccountWindow(objid,'');
  • case OpenCaseWindow(objid);
  • commit_log OpenCommitmentWindow(objid,'view','case');
  • contact OpenContactWindow(objid,'view','case');
  • contract OpenContractWindow(objid,'view','case');
  • demand_dtl OpenRequestDetailWindow(0,objid);
  • demand_hdr OpenRequestWindow(objid,'');
  • eco_hdr OpenECOWindow(objid,'');
  • industry OpenIndustryWindow(objid,'');
  • interact OpenInteractWindow(objid,0);
  • price_prog OpenPriceScheduleWindow(objid,'');
  • probdesc OpenSolutionWindow(objid,'view','case');
  • qry_case_view OpenCaseWindow(objid);
  • rol_contct OpenContactWindow(objid,'view','case');
  • site OpenSiteWindow(objid,'view','case');
  • site_part OpenSitePartWindow(objid,'view','case');
  • subcase OpenSubcaseWindow(objid);
  • task OpenActionItemWindow(objid,'');
  • territory OpenTerritoryWindow(objid,'');

See Also

Queries Object Manager Form

Find a Queries Object

Create a Queries Object

Remove an Queries Object

Copy an Queries Object

Change an Queries Object Alias

Modify an Object Column

Queries Object Manager Form Screenshot

Next

Modify an Object Column
Add an Open Function to an Queries Object

Did this topic help you? Email us your feedback.
Last updated: 2/18/2009 4:31:55 PM


Modify an Object Column

  1. In the Existing Queries section, select the Queries object from the list.
  2. Select Open.

    Note: Go to the Queries Manage Object Columns Form section for more information.

See Also

Queries Object Manager Form

Find a Queries Object

Create a Queries Object

Remove an Queries Object

Copy an Queries Object

Change an Queries Object Alias

Add an Open Function to an Queries Object

Queries Object Manager Form Screenshot

Next

Queries Object Manager Form Screenshot
Modify an Object Column

Did this topic help you? Email us your feedback.
Last updated: 2/18/2009 4:32:23 PM


Queries Object Manager Form Screenshot

See Also

Queries Object Manager Form

Find a Queries Object

Create a Queries Object

Remove an Queries Object

Copy an Queries Object

Change an Queries Object Alias

Add an Open Function to an Queries Object

Modify an Object Column

Next

Queries Object Columns Form
Queries Object Manager Form Screenshot

Did this topic help you? Email us your feedback.
Last updated: 2/25/2009 10:59:38 AM


Queries Object Columns Form

Use this form to build and maintain the columns that are used in generating queries for each Queries object.

See Also

Queries Objects

Queries Object Manager Form

Next

Modify an Object Column
Queries Object Columns Form

Did this topic help you? Email us your feedback.
Last updated: 7/19/2007 9:56:43 AM


Modify an Object Column

  1. In the Existing Queries section of the Queries Object Manager form, select the Queries object from the list.
  2. Select Open. When the Queries Manage Columns Form opens, it will list the current columns that have been previously defined for the object. Use the controls to modify the current columns and to add or delete columns.
  3. To save, select Replace.

See Also

Queries Object Columns Form

Add an Object Column

Delete an Object Column

Change the order of an Object Column

Queries and Data Restriction

Use the Form Shortcuts

Queries Object Columns Form Screenshot

Next

Add an Object Column
Modify an Object Column

Did this topic help you? Email us your feedback.
Last updated: 2/18/2009 4:47:18 PM


Add an Object Column

  1. From the Queries Manage Columns Form, select Path.
  2. Use the Path Editor to choose the column, or related column, for an object.

    Note: Go to the Path Editor section for more information on how to set up paths.

  3. In the Property Name field, enter the column name.
  4. Use the checkboxes to assign the column as one or more of the following:
    • Property: Property columns can be seen and used when a query is being built or maintained in Dovetail Agent.
    • Output Column: Output columns are seen in the Queries Results form.
    • Sort Column: Sort columns can be selected during query editing, and are reflected in the query result ordering.
    • Record ID: A Record ID column is used as the unique database identifier when a record is retrieved from the database. Database tables automatically get the objid field added to the end of the query record, so there is no need to add this column to the Queries object definition. Views, however, do not use the objid field in every case as the unique database identifier, so this column can be very useful. For example, the site_view database object uses the objid field to identify the site record, so this would be the column to add to the Queries object definition as the Record Id column. This would allow the OpenSiteWindow function to be used to open the site object from the query results grid.
    • Data Res.: Data Restriction columns are used for data restriction. See the data restriction section for more information.
  5. To select the list type the column is associated with, use the radio buttons:
    • No List: Select if no pre-defined list is required.
    • Clarify List: Select if a pre-defined Clarify List is required. Once selected, use the new dropdown box to select the list.
    • User-Defined List: Select if a pre-defined User-Defined List is required. Once selected, use the new dropdown box to select the list.
  6. To specify a function that will be applied to a query result column, enter a function in the Output Function field. You can enter a function or select one from the dropdown list which contains common Dovetail Agent functions. This list can be modified in the inc_functions.asp file found in the Dovetail Admin include folder. Any function can be called by specifying it on this form, and by supplying it as a server-side function to the Dovetail Agent grid_ce_results.asp page. Each Output Function definition must include the keyword value, which is what gets replaced with the query output column value when the function is executed. Some examples of usage for this functionality are listed here:
    • PrettyDate(value): This formats the date string as the Clarify GUI would, resulting in "January 1, 2005" or "?/?/?" for example.
    • Percentage(value): This will convert a fraction into a percentage, i.e. .22 becomes 22%.
    • formatDate(new Date(value),"MMM dd yyyy hh:mm a"): This converts the date string to a date object, and formats it as specified by the format clause.
  7. To add the column, select Add.

See Also

Queries Object Columns Form

Modify an Object Column

Delete an Object Column

Change the order of an Object Column

Queries and Data Restriction

Use the Form Shortcuts

Queries Object Columns Form Screenshot

Next

Delete an Object Column
Add an Object Column

Did this topic help you? Email us your feedback.
Last updated: 2/18/2009 4:49:57 PM


Delete an Object Column

  1. From the Queries Manage Columns form under Current Columns, select the column.
  2. Select Delete.

See Also

Queries Object Columns Form

Modify an Object Column

Add an Object Column

Change the order of an Object Column

Queries and Data Restriction

Use the Form Shortcuts

Queries Object Columns Form Screenshot

Next

Change the order of an Object Column
Delete an Object Column

Did this topic help you? Email us your feedback.
Last updated: 2/18/2009 4:50:31 PM


Change the order of an Object Column

  1. From the Queries Manage Columns form under Current Columns, select the column.
  2. To move the column up or down the list, select Up or Down.

See Also

Queries Object Columns Form

Modify an Object Column

Add an Object Column

Delete an Object Column

Queries and Data Restriction

Use the Form Shortcuts

Queries Object Columns Form Screenshot

Next

Queries and Data Restriction
Change the order of an Object Column

Did this topic help you? Email us your feedback.
Last updated: 2/18/2009 4:50:57 PM


Queries and Data Restriction

Data Restriction is supported by Queries. If an object is set up as both an Queries object and as a Data Restriction object, when a user runs a query against that object, the user's current restriction group will determine the output.

There is one very important thing to take into consideration. In most Dovetail Agent views of Clarify objects, there is a view that combines data-restricted objects and other objects. For example, the Query Case form uses the qry_case_view object, which is a view that combines Case data and Site data. This allows data restriction on Site records, even though it is primarily Case information that is being retrieved.

With Queries objects, a Case object can easily be implemented, but queries against it alone would not incorporate Site data restriction.

To restrict the case data by site, a site field needs to be added to the Queries object:

  1. From the Queries Manage Object Columns form under Current Columns, select the column.
  2. To traverse from the case object to the site object, select Path (this is usually done via the case_reporter2site relation).
  3. To return to the Manage Object Columns form, double-click the field.
  4. Check the Data Res. box.
  5. Enter a Property Name.
  6. To save, select Add.

Once this additional field is added to the Queries object, the Data Restriction filters will be applied to the queries of the object. If the Queries object has its own Data Restriction clauses, then those clauses will be applied automatically without any additional Queries setup.

See Also

Queries Object Columns Form

Modify an Object Column

Add an Object Column

Delete an Object Column

Change the order of an Object Column

Use the Form Shortcuts

Queries Object Columns Form Screenshot

Next

Use the Form Shortcuts
Queries and Data Restriction

Did this topic help you? Email us your feedback.
Last updated: 2/18/2009 4:52:36 PM


Use the Form Shortcuts

The Queries Object Columns Form contains two shortcut buttons:

  • Copy Path to Name: After you pick a column using the path editor, you can copy the field name of the column to the Property Name text box by selecting the Copy Path to Name button. This will use the field name as it is specified in the Property Path text area. It can then be modified if necessary.
  • Quick Add: The other shortcut does multiple things in one step. After choosing the column, select the Quick Add button. This action will default the Property Name to the field name, check the Property, Output Col, and Sort Col check boxes, and Add the row all in one step.

See Also

Queries Object Columns Form

Modify an Object Column

Add an Object Column

Delete an Object Column

Change the order of an Object Column

Queries and Data Restriction

Queries Object Columns Form Screenshot

Next

Queries Object Columns Form Screenshot
Use the Form Shortcuts

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:14:42 PM


Queries Object Columns Form Screenshot

See Also

Queries Object Columns Form

Modify an Object Column

Add an Object Column

Delete an Object Column

Change the order of an Object Column

Queries and Data Restriction

Use the Form Shortcuts

Next

Flash Tables
Queries Object Columns Form Screenshot

Did this topic help you? Email us your feedback.
Last updated: 2/25/2009 11:15:11 AM


Flash Tables

A flash can be associated with any object, table, or view in Dovetail Agent. Use this form to describe objects which are associated with flashes.

It might not seem obvious why a flash should be associated with a view, but it can be very useful. For example, suppose that you want a site table to have flashes. Regularly, you would just associate the flashes with the site table. But you might want an end-user to be able to either sort or view the sites by attributes other than those on the site table. For example, you might want to find all of the sites in a particular state or country. Using the base site table, these attributes are not available. However, if you use a view (such as site_view), all of those fields would be visible.

See Also

Dovetail Features

Colors

Queries Objects

Stored Procedures

Strings

Custom Business Rule Events and Event Creation Times

Next

View a Flash Table
Flash Tables

Did this topic help you? Email us your feedback.
Last updated: 9/27/2007 4:58:10 PM


View a Flash Table

  1. To view existing flash tables, select List.

    Note: You may optionally specify filter criteria before selecting List.

  2. To view the flash table, select it in the list.

See Also

Flash Tables

Add a Flash Table

Update a Flash Table

Delete a Flash Table

Flash Tables Screenshot

Next

Add a Flash Table
View a Flash Table

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:15:55 PM


Add a Flash Table

  1. In the Table/View dropdown list, select an object.
    • Changing the alias name is optional; it defaults to the object name. The table alias is the field shown to end users. It's recommended to change the alias to something that end users would recognize. For example, if adding flashes to the probdesc table, change the alias from probdesc to Solution.
    • If the columns that you wish to use are not present in the base table, you may want to use a view.
  2. In the Output Columns section, enter at least one display label and column name. No more than two can be entered.
  3. In the Query Columns section, enter at least one display label and column name. No more than five can be entered.
    • If a view is selected here, a row of radio buttons will populate under the heading View Objid. Select the radio button next to the query column that is the base object's objid. This field will be referenced in the underlying code to retrieve the view object correctly.
  4. To add the object, select Add.

See Also

Flash Tables

View a Flash Table

Update a Flash Table

Delete a Flash Table

Flash Tables Screenshot

Next

Update a Flash Table
Add a Flash Table

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:15:47 PM


Update a Flash Table

  1. Select the flash table from the top list.
  2. In the Flash Table Information section, enter the updates.

    Note: For more information, see the Add a flash table section.

  3. To save, select Replace.

See Also

Flash Tables

View a Flash Table

Add a Flash Table

Delete a Flash Table

Flash Tables Screenshot

Next

Delete a Flash Table
Update a Flash Table

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:16:06 PM


Delete a Flash Table

  1. Select the flash table from the top list.
  2. In the Flash Table Information section, select Delete.
  3. Select OK in the dialog box.

See Also

Flash Tables

View a Flash Table

Add a Flash Table

Update a Flash Table

Flash Tables Screenshot

Next

Flash Tables Screenshot
Delete a Flash Table

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:16:16 PM


Flash Tables Screenshot

See Also

Flash Tables

View a Flash Table

Add a Flash Table

Update a Flash Table

Delete a Flash Table

Next

Stored Procedures
Flash Tables Screenshot

Did this topic help you? Email us your feedback.
Last updated: 2/25/2009 11:22:24 AM


Stored Procedures

Managing stored procedures only applies to Oracle databases. If you do not use Oracle, you do not need to use this page. You must use this administration page when you first install FCFL, and every time you add another Long Varchar to the data schema.

Here you can create, view, and compile the stored procedure used to handle the Oracle Long Varchar* limitation of 4000 characters.

  1. Select Build Stored Procedure. The stored procedure will be built and displayed.
  2. To compile the stored procedure, select Save To File.
  3. Select a file name.
  4. Enter login data and the file name from step 3.
  5. Select Compile Stored Procedure. This will start a session for the compilation. Once completed, the results will be displayed.

* The term varchar, or variable character field, refers to a common data type in database management systems.

See Also

Dovetail Features

Colors

Queries Objects

Flash Tables

Strings

Custom Business Rule Events and Event Creation Times

Next

Strings
Stored Procedures

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:16:36 PM


Strings

Internationalized strings are used by localized Dovetail Software applications. For example, Dovetail SelfService is a localized application, meaning that when users log in, they can choose their language. The pages are then displayed using the strings that have been localized for their language.

Note: Dovetail Admin will display a message if you do not have the internationalized string table available in your database.

See Also

Dovetail Features

Colors

Queries Objects

Flash Tables

Stored Procedures

Custom Business Rule Events and Event Creation Times

Next

View a String
Strings

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:17:28 PM


View a String

  1. To view existing strings, select List.

    Note: You may optionally specify filter criteria before selecting List.

  2. To view string details, select the string from the list.

See Also

Strings

Add a String

Update a String

Delete a String

Strings Screenshot

Next

Add a String
View a String

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:18:16 PM


Add a String

  1. In the String Information section, enter the new string data.
  2. Select Add String.

See Also

Strings

View a String

Update a String

Delete a String

Strings Screenshot

Next

Update a String
Add a String

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:18:01 PM


Update a String

  1. Select the string from the top list.
  2. In the String Information section, enter the updates.
  3. Select Update String.

See Also

Strings

View a String

Add a String

Delete a String

Strings Screenshot

Next

Delete a String
Update a String

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:18:25 PM


Delete a String

  1. Select the string from the top list.
  2. Select Delete String.

See Also

Strings

View a String

Add a String

Update a String

Strings Screenshot

Next

Strings Screenshot
Delete a String

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:18:34 PM


Strings Screenshot

See Also

Strings

View a String

Add a String

Update a String

Delete a String

Next

Custom Business Rule Events and Event Creation Times
Strings Screenshot

Did this topic help you? Email us your feedback.
Last updated: 2/25/2009 11:24:41 AM


Custom Business Rule Events and Event Creation Times

Prior to Dovetail Admin version 3.6 Clarify/Dovetail system administrators had to modify \pages\biz_rule\inc_lists.asp module in order to add custom events for business rules and custom event creation times for business rule actions. Clarify administrators can also customize Clarify form 472 to add custom events for business rules to the SEL_EVENT list. Starting with Dovetail Admin version 3.6 both custom events for business rules and custom event creation times for business rule actions can be stored in database tables and dynamically retrieved when a business rule is to be edited.

Custom Events for Business Rules

Dovetail Admin will continue to load all baseline events from the SEL_EVENT list of Clarify form 472. If you already added your custom events to this list they may remain there or you may migrate them to \files\custom_events.dat file for future import with ArchiveManager. Each custom event is stored in table_config_itm using the following columns:

  • name - event name, stored in table_value_item.value1
  • value_type - must have a value of 1001
  • i_value - numeric identifier of the custom event. The table_value_item.value3 would store a string of "USER1003" so the matching table_config_itm.i_value would be 1003.
  • str_value - object type the event applies to, in uppercase, e.g. "CASE", as stored in table_value_item.value2
  • description - some explanation about the purpose of the item.

Consider the following example:

OBJECT TYPE="config_itm", NAME="Run Task Set"

UNIQUE_FIELD = name

FIELDS

name ="Run Task Set";

description="Dovetail - Run Task Set";

value_type = 1001;

i_value = 1005;

str_value="CASE";

END_FIELDS

END_OBJECT NAME="Run Task Set"

Prior to Dovetail Admin version 3.6 Dovetail system administrator would modify \pages\biz_rule\inc_lists.asp module and add custom events to the code of DdlEvents function, in this fashion:

out += '<option ';

out += 'value="USER1005" ';

out += 'object="CASE"';

out += '>Run Task Set</option>';

The method of migration of the above to the new method should be self-evident.

Once all the custom events are moved to the \files\custom_events.dat file and imported, there will be no need to customize the \pages\biz_rule\inc_lists.asp module or Clarify form 472.

If a new custom event is needed, add it to the \files\custom_events.dat file and import with ArchiveManager. The new and/or updated custom events will be immediately available upon page refresh in the Event drop-down lists for Start On Events and Stop On Events sections of the Business Rule Events Tab

Custom Event Creation Times for Business Rule Actions

Dovetail Admin replicates the Clarify static list of baseline event creation times, in DdlActionFrom function of the \pages\biz_rule\inc_lists.asp module. Dovetail Admin does not retrieve custom event creation times from the MBT_37 list of Clarify form 474. Dovetail system administrator would modify DdlActionFrom function code to add a custom event creation time in the following fashion:

out += '<option value="150" object="CASE">Next Action Due Date</option>';

Beginning with Dovetail Admin version 3.6 this could be migrated to \files\custom_event_creation_times.dat file for future import with ArchiveManager. Each custom event creation time is stored in table_prop_name using the following columns:

  • obj_type - numeric identifier of the object type the event creation time applies to, e.g 0 for 'case'
  • prop_name - custom time ID in this format: @USERTIMEnnn where nnn is equal or greater than 150, as would be stored in table_value_item.value1
  • path_name - column name from which the value will be fetched for evaluation
  • val_type - numeric value of 609 meaning a date-time type
  • max_len - maximum length of the value stored in the column referenced by path_name
  • extra_info - the text to be shown in the event list

Consider the following example:

OBJECT TYPE="prop_name", NAME=Next_Action_Due_Date

UNIQUE_FIELD=obj_type, prop_name

FIELDS

obj_type=0;

prop_name ="@USERTIME150";

path_name="x_next_action_due_date";

val_type=609;

max_len=30;

extra_info = "Next Action Due Date";

END_FIELDS

END_OBJECT NAME=Next_Action_Due_Date

The method of migration of the above to the new method should be self-evident.

Once all the custom event creation times are moved to the \files\custom_event_creation_times.dat file and imported, there will be no need to customize the \pages\biz_rule\inc_lists.asp module or Clarify form 474.

If a new custom event creation time is needed, add it to the \files\custom_event_creation_times.dat file and import with ArchiveManager. The new and/or updated custom event creation times will be immediately available upon page refresh in the From drop-down list on Frequency & Messages tab of the Manage Business Rules - Action window.

See Also

Dovetail Features

Colors

Queries Objects

Flash Tables

Stored Procedures

Strings

Next

Web Forms
Custom Business Rule Events and Event Creation Times

Did this topic help you? Email us your feedback.
Last updated: 6/23/2016 9:23:28 AM


Web Forms

In This Chapter

Web Forms

Web Form Versions

Resource Configurations

Next

Web Forms
Web Forms

Did this topic help you? Email us your feedback.
Last updated: 8/16/2007 3:10:59 PM


Web Forms

Here you can manage the web forms used throughout your system.

See Also

Web Forms

Web Form Versions

Resource Configurations

Next

View a Web Form
Web Forms

Did this topic help you? Email us your feedback.
Last updated: 7/18/2007 12:25:51 PM


View a Web Form

  1. To view existing web forms, select List.

    Note: You may optionally specify filter criteria before selecting List.

  2. To view the web form, select it in the list.

See Also

Web Forms

Add a Web Form

Update a Web Form

Delete a a Web Form

Web Forms Screenshot

Next

Add a Web Form
View a Web Form

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:19:12 PM


Add a Web Form

  1. In the Web Form Information section, enter the new web form data. Entering a description is optional.
  2. To save, select Add Form.

See Also

Web Forms

View a Web Form

Update a Web Form

Delete a a Web Form

Web Forms Screenshot

Next

Update a Web Form
Add a Web Form

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:19:03 PM


Update a Web Form

  1. Select the web form from the top list.
  2. In the Web Form Information section, enter the updates.
  3. To save, select Update Form.

See Also

Web Forms

View a Web Form

Add a Web Form

Delete a a Web Form

Web Forms Screenshot

Next

Delete a a Web Form
Update a Web Form

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:19:19 PM


Delete a a Web Form

  1. Select the web form from the top list.
  2. In the Web Form Information section, select Delete Form.

    Note: Deleting a web form will also delete the user versions of that web form, and the user versions will be removed from any associated resource configurations.

  3. Select OK in the dialog box.

See Also

Web Forms

View a Web Form

Add a Web Form

Update a Web Form

Web Forms Screenshot

Next

Web Forms Screenshot
Delete a a Web Form

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:19:38 PM


Web Forms Screenshot

See Also

Web Forms

View a Web Form

Add a Web Form

Update a Web Form

Delete a a Web Form

Next

Web Form Versions
Web Forms Screenshot

Did this topic help you? Email us your feedback.
Last updated: 2/25/2009 11:25:52 AM


Web Form Versions

This page controls the web form versions used in your system. The dropdown list at the top lists all web forms in your database.

See Also

Web Forms

Web Forms

Resource Configurations

Next

View a Web Form Version
Web Form Versions

Did this topic help you? Email us your feedback.
Last updated: 7/18/2007 9:00:43 AM


View a Web Form Version

  1. Use the Web Form dropdown list to select a form.
  2. To view the web form, select it in the list.

See Also

Web Form Versions

Add a Web Form Version

Update a Web Form Version

Delete a Web Form Version

Web Form Versions Screenshot

Next

Add a Web Form Version
View a Web Form Version

Did this topic help you? Email us your feedback.
Last updated: 7/18/2007 8:59:10 AM


Add a Web Form Version

  1. Use the Web Form dropdown list to select a form.
  2. In the Version Information section, enter the new web form version information. Entering a description is optional.
  3. To save, select Add Version.

See Also

Web Form Versions

View a Web Form Version

Update a Web Form Version

Delete a Web Form Version

Web Form Versions Screenshot

Next

Update a Web Form Version
Add a Web Form Version

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:20:58 PM


Update a Web Form Version

  1. Select the web form version from the top list.
  2. In the Version Information section, enter the updates.
  3. To save, select Update Version.

See Also

Web Form Versions

View a Web Form Version

Add a Web Form Version

Delete a Web Form Version

Web Form Versions Screenshot

Next

Delete a Web Form Version
Update a Web Form Version

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:21:18 PM


Delete a Web Form Version

  1. Select the web form version from the top list.
  2. In the Version Information section, select Delete Version.

    Note: After deletion, the web form version will also be removed from any associated resource configurations.

  3. Select OK in the dialog box.

See Also

Web Form Versions

View a Web Form Version

Add a Web Form Version

Update a Web Form Version

Web Form Versions Screenshot

Next

Web Form Versions Screenshot
Delete a Web Form Version

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:21:36 PM


Web Form Versions Screenshot

See Also

Web Form Versions

View a Web Form Version

Add a Web Form Version

Update a Web Form Version

Delete a Web Form Version

Next

Resource Configurations
Web Form Versions Screenshot

Did this topic help you? Email us your feedback.
Last updated: 2/25/2009 11:30:01 AM


Resource Configurations

This page controls web form resource configurations.

See Also

Web Forms

Web Forms

Web Form Versions

Next

View a Resource Configuration
Resource Configurations

Did this topic help you? Email us your feedback.
Last updated: 7/18/2007 9:15:19 AM


View a Resource Configuration

Select a resource configuration from the Resource Configuration dropdown list. Once selected, the Web Forms and Membership tabs will populate with that configuration's data.

See Also

Resource Configurations

Add a Resource Configuration

Update a Resource Configuration

Delete a Resource Configuration

Add a Web Form User Version to a Resource Configuration

Remove a Web Form User Version from a Resource Configuration

Add a Member to a Resource Configuration

Remove a Member from a Resource Configuration

Resource Configurations Screenshot

Next

Add a Resource Configuration
View a Resource Configuration

Did this topic help you? Email us your feedback.
Last updated: 7/18/2007 9:10:13 AM


Add a Resource Configuration

  1. Enter a configuration title. Entering a description is optional.
  2. Select Add.

    Note: You must first add a resource configuration before you can add web forms or members.

See Also

Resource Configurations

View a Resource Configuration

Update a Resource Configuration

Delete a Resource Configuration

Add a Web Form User Version to a Resource Configuration

Remove a Web Form User Version from a Resource Configuration

Add a Member to a Resource Configuration

Remove a Member from a Resource Configuration

Resource Configurations Screenshot

Next

Update a Resource Configuration
Add a Resource Configuration

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:22:52 PM


Update a Resource Configuration

  1. Select a resource configuration from the Resource Configuration dropdown list.
  2. Enter the updates. Here you can change the name, the description, the attached web form user versions, and/or the attached members.
  3. To save, select Replace.

See Also

Resource Configurations

View a Resource Configuration

Add a Resource Configuration

Delete a Resource Configuration

Add a Web Form User Version to a Resource Configuration

Remove a Web Form User Version from a Resource Configuration

Add a Member to a Resource Configuration

Remove a Member from a Resource Configuration

Resource Configurations Screenshot

Next

Delete a Resource Configuration
Update a Resource Configuration

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:23:12 PM


Delete a Resource Configuration

  1. Select a resource configuration from the Resource Configuration dropdown list.
  2. Select Delete.

    Note: If a resource configuration is deleted, all users currently in that configuration will be placed back in the baseline resource configuration.

  3. Select OK in the dialog box.

See Also

Resource Configurations

View a Resource Configuration

Add a Resource Configuration

Update a Resource Configuration

Add a Web Form User Version to a Resource Configuration

Remove a Web Form User Version from a Resource Configuration

Add a Member to a Resource Configuration

Remove a Member from a Resource Configuration

Resource Configurations Screenshot

Next

Add a Web Form User Version to a Resource Configuration
Delete a Resource Configuration

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:23:29 PM


Add a Web Form User Version to a Resource Configuration

  1. Select a resource configuration from the Resource Configuration dropdown list.
  2. On the Web forms tab, use the Forms dropdown list to choose a web form. The web form's user versions will now be listed.
  3. Select a user version from the list.
  4. To add it to the configuration, use the Add button >>.

    Note: You do not need to select Replace to save this change

See Also

Resource Configurations

View a Resource Configuration

Add a Resource Configuration

Update a Resource Configuration

Delete a Resource Configuration

Remove a Web Form User Version from a Resource Configuration

Add a Member to a Resource Configuration

Remove a Member from a Resource Configuration

Resource Configurations Screenshot

Next

Remove a Web Form User Version from a Resource Configuration
Add a Web Form User Version to a Resource Configuration

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:23:46 PM


Remove a Web Form User Version from a Resource Configuration

  1. Select a resource configuration from the Resource Configuration dropdown list.
  2. In the Forms in Resource Config section, select the web form user version.
  3. To delete it from the configuration, use the Remove button <<.

    Note: You do not need to select Replace to save this change.

See Also

Resource Configurations

View a Resource Configuration

Add a Resource Configuration

Update a Resource Configuration

Delete a Resource Configuration

Add a Web Form User Version to a Resource Configuration

Add a Member to a Resource Configuration

Remove a Member from a Resource Configuration

Resource Configurations Screenshot

Next

Add a Member to a Resource Configuration
Remove a Web Form User Version from a Resource Configuration

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:24:10 PM


Add a Member to a Resource Configuration

  1. Select a resource configuration from the Resource Configuration dropdown list.
  2. Select the Membership tab.
  3. To view users, select List.

    Note: You may optionally specify filter criteria before selecting List.

  4. Select a user in the list.
  5. To add the user to the configuration, use the Add button >>.

    Note: You do not need to select Replace to save this change.

See Also

Resource Configurations

View a Resource Configuration

Add a Resource Configuration

Update a Resource Configuration

Delete a Resource Configuration

Add a Web Form User Version to a Resource Configuration

Remove a Web Form User Version from a Resource Configuration

Remove a Member from a Resource Configuration

Resource Configurations Screenshot

Next

Remove a Member from a Resource Configuration
Add a Member to a Resource Configuration

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:24:27 PM


Remove a Member from a Resource Configuration

  1. Select a resource configuration from the Resource Configuration dropdown list.
  2. Select the Membership tab.
  3. In the Members of Resource Config section, select the user.
  4. To delete the user from the configuration, use the Remove button <<.

    Note: You do not need to select Replace to save this change.

See Also

Resource Configurations

View a Resource Configuration

Add a Resource Configuration

Update a Resource Configuration

Delete a Resource Configuration

Add a Web Form User Version to a Resource Configuration

Remove a Web Form User Version from a Resource Configuration

Add a Member to a Resource Configuration

Resource Configurations Screenshot

Next

Resource Configurations Screenshot
Remove a Member from a Resource Configuration

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:24:39 PM


Resource Configurations Screenshot

See Also

Resource Configurations

View a Resource Configuration

Add a Resource Configuration

Update a Resource Configuration

Delete a Resource Configuration

Add a Web Form User Version to a Resource Configuration

Remove a Web Form User Version from a Resource Configuration

Add a Member to a Resource Configuration

Remove a Member from a Resource Configuration

Next

Transitions
Resource Configurations Screenshot

Did this topic help you? Email us your feedback.
Last updated: 2/25/2009 11:30:33 AM


Transitions

In This Chapter

Quality Transitions

Logistics Transitions

Next

Quality Transitions
Transitions

Did this topic help you? Email us your feedback.
Last updated: 8/16/2007 3:11:09 PM


Quality Transitions

Here you can manage the quality transitions used throughout your system.

See Also

Transitions

Logistics Transitions

Next

View a Quality Transition
Quality Transitions

Did this topic help you? Email us your feedback.
Last updated: 7/18/2007 12:27:47 PM


View a Quality Transition

  1. To view existing quality transitions, select List.

    Note: You may optionally specify filter criteria before selecting List.

  2. To view the quality transition, select it in the list.

Note: You can view a summary of enabled transitions by privilege class by clicking the View Privilege Class Summary link on the Privilege Class page.

See Also

Quality Transitions

Add a Quality Transition

Update a Quality Transition

Delete a Quality Transition

Quality Transitions Screenshot

Next

Add a Quality Transition
View a Quality Transition

Did this topic help you? Email us your feedback.
Last updated: 7/12/2010 12:32:27 PM


Add a Quality Transition

  1. In the Privilege Classes section, use the checkboxes to select which privilege classes will be allowed to perform the transition.
  2. In the Transition Details section, enter the new transition data.

    Note: Quality transitions are made from status to status. All possible status codes, for all conditions, are displayed in both the From and To dropdown lists.

    • From Status: To select the starting transition point, use the From Status dropdown list.
    • To Status: To select the ending transition point, use the To Status dropdown list.
    • Dialog ID: Choose Default or Custom for the Dialog ID. If it is Default, this field will populate automatically. If it is Custom, enter the custom dialog ID. Note: The Dialog ID is only used in Clarify thick client applications, but not in thin client applications.
    • Description: Enter a transition description if needed.
  3. Select Add.

See Also

Quality Transitions

View a Quality Transition

Update a Quality Transition

Delete a Quality Transition

Quality Transitions Screenshot

Next

Update a Quality Transition
Add a Quality Transition

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:28:56 PM


Update a Quality Transition

  1. Select the quality transition from the top list.
  2. In the Privilege Classes and/or Transition Details sections, enter the updates.
  3. To save, select Update.

See Also

Quality Transitions

View a Quality Transition

Add a Quality Transition

Delete a Quality Transition

Quality Transitions Screenshot

Next

Delete a Quality Transition
Update a Quality Transition

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:29:10 PM


Delete a Quality Transition

  1. Select the quality transition from the top list.
  2. In the Transition Details section, select Delete.
  3. Select OK in the dialog box.

See Also

Quality Transitions

View a Quality Transition

Add a Quality Transition

Update a Quality Transition

Quality Transitions Screenshot

Next

Quality Transitions Screenshot
Delete a Quality Transition

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:29:24 PM


Quality Transitions Screenshot

See Also

Quality Transitions

View a Quality Transition

Add a Quality Transition

Update a Quality Transition

Delete a Quality Transition

Next

Logistics Transitions
Quality Transitions Screenshot

Did this topic help you? Email us your feedback.
Last updated: 2/25/2009 11:37:00 AM


Logistics Transitions

Here you can manage the logistics transitions used throughout your system.

See Also

Transitions

Quality Transitions

Next

View a Logistic Transition
Logistics Transitions

Did this topic help you? Email us your feedback.
Last updated: 7/18/2007 12:28:21 PM


View a Logistic Transition

  1. To view existing logistic transitions, select List.

    Note: You may optionally specify filter criteria before selecting List.

  2. To view the logistic transition, select it in the list.

Note: You can view a summary of enabled transitions by privilege class by clicking the View Privilege Class Summary link on the Privilege Class page.

See Also

Logistics Transitions

Add a Logistic Transition

Update a Logistic Transition

Delete a Logistic Transition

Logistics Transitions Screenshot

Next

Add a Logistic Transition
View a Logistic Transition

Did this topic help you? Email us your feedback.
Last updated: 7/12/2010 12:32:42 PM


Add a Logistic Transition

  1. In the Privilege Classes section, use the checkboxes to select which privilege classes will be allowed to perform the transition.
  2. In the Transition Details section, enter the new transition data.
    • From Condition: To select the starting transition point, use the From Condition dropdown list.
    • To Condition: To select the ending transition point, use the To Condition dropdown list.
    • Description: Enter a transition description if needed.
  3. Select Add.

See Also

Logistics Transitions

View a Logistic Transition

Update a Logistic Transition

Delete a Logistic Transition

Logistics Transitions Screenshot

Next

Update a Logistic Transition
Add a Logistic Transition

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:29:49 PM


Update a Logistic Transition

  1. Select the logistic transition from the top list.
  2. In the Privilege Classes and/or Transition Details sections, enter the updates.
  3. To save, select Update.

See Also

Logistics Transitions

View a Logistic Transition

Add a Logistic Transition

Delete a Logistic Transition

Logistics Transitions Screenshot

Next

Delete a Logistic Transition
Update a Logistic Transition

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:30:02 PM


Delete a Logistic Transition

  1. Select the logistic transition from the top list.
  2. In the Transition Details section, select Delete.
  3. Select OK in the dialog box.

See Also

Logistics Transitions

View a Logistic Transition

Add a Logistic Transition

Update a Logistic Transition

Logistics Transitions Screenshot

Next

Logistics Transitions Screenshot
Delete a Logistic Transition

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:30:13 PM


Logistics Transitions Screenshot

See Also

Logistics Transitions

View a Logistic Transition

Add a Logistic Transition

Update a Logistic Transition

Delete a Logistic Transition

Next

Data Restriction
Logistics Transitions Screenshot

Did this topic help you? Email us your feedback.
Last updated: 2/25/2009 11:37:30 AM


Data Restriction

In This Chapter

Groups

Clauses

Tables

Next

Groups
Data Restriction

Did this topic help you? Email us your feedback.
Last updated: 8/16/2007 3:11:16 PM


Groups

Here you can manage restriction groups to control the data restriction feature.

See Also

Data Restriction

Clauses

Tables

Next

View a Restriction Group
Groups

Did this topic help you? Email us your feedback.
Last updated: 7/18/2007 12:30:11 PM


View a Restriction Group

  1. To view existing restriction groups, select List.

    Note: You may optionally specify filter criteria before selecting List.

  2. To view the restriction group details, select the group in the list.

See Also

Groups

Add a Restriction Group

Update a Restriction Group

Delete a Restriction Group

Restriction Groups Screenshot

Next

Add a Restriction Group
View a Restriction Group

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:30:43 PM


Add a Restriction Group

  1. In the Restriction Group Information section, enter the new restriction group name. Also, you may optionally enter data for restriction fields 1-5.
  2. To save, select Add Res Group.

See Also

Groups

View a Restriction Group

Update a Restriction Group

Delete a Restriction Group

Restriction Groups Screenshot

Next

Update a Restriction Group
Add a Restriction Group

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:30:37 PM


Update a Restriction Group

  1. Select the restriction group from the top list.
  2. In the Restriction Group Information section, enter the updates.
  3. Select Update.

See Also

Groups

View a Restriction Group

Add a Restriction Group

Delete a Restriction Group

Restriction Groups Screenshot

Next

Delete a Restriction Group
Update a Restriction Group

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:30:49 PM


Delete a Restriction Group

  1. Select the restriction group from the top list.
  2. In the Restriction Group Information section, select Delete.

    Note: If the restriction group is associated with a user, you will get this message: "The selected restriction group is in use by one (or more) users. Please unrelate the users before deleting the group." To remove users from the restriction group, go to the Users/Employees section. Select the user, select the Res. Group tab, and uncheck the restriction group box.

See Also

Groups

View a Restriction Group

Add a Restriction Group

Update a Restriction Group

Restriction Groups Screenshot

Next

Restriction Groups Screenshot
Delete a Restriction Group

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:30:59 PM


Restriction Groups Screenshot

See Also

Groups

View a Restriction Group

Add a Restriction Group

Update a Restriction Group

Delete a Restriction Group

Next

Clauses
Restriction Groups Screenshot

Did this topic help you? Email us your feedback.
Last updated: 2/25/2009 11:38:35 AM


Clauses

From the Manage Restriction Clauses page, you can control the clauses that are added to SQL statements by FCFL. Clauses can be added to any database view or table, and they can set restrictions on any fields.

See Also

Data Restriction

Groups

Tables

Next

View a Restriction Clause
Clauses

Did this topic help you? Email us your feedback.
Last updated: 7/19/2007 9:51:29 AM


View a Restriction Clause

  1. To view existing restriction clauses, select List.

    Note: You may optionally specify filter criteria before selecting List.

  2. To view the restriction clause details, select the clause in the list.

See Also

Clauses

Add a Restriction Clause

Update a Restriction Clause

Delete a Restriction Clause

Choose a Restriction Field

Restriction Clauses Screenshot

Next

Add a Restriction Clause
View a Restriction Clause

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:31:28 PM


Add a Restriction Clause

  1. In the Restriction SQL Clause Information section next to Table/View, use the dropdown list to select the table or view to be restricted.
  2. To choose the field to restrict, select Path.

    Note: Go to the Path Editor section for more information on how to select paths.

  3. To select an SQL operation, use the Operation dropdown list.
  4. Enter a restriction value in the Value field.
  5. With the dropdown box to the right of the Value field, select a restriction field.

    Note: Go to the Restriction Field section for more information on how to select a restriction field.

  6. To save, select Add Res SQL Clause.

See Also

Clauses

View a Restriction Clause

Update a Restriction Clause

Delete a Restriction Clause

Choose a Restriction Field

Restriction Clauses Screenshot

Next

Update a Restriction Clause
Add a Restriction Clause

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:32:12 PM


Update a Restriction Clause

  1. Select a restriction clause from the top list.
  2. In the Restriction SQL Clause Information section, enter the updates.
  3. To save, select Update.

See Also

Clauses

View a Restriction Clause

Add a Restriction Clause

Delete a Restriction Clause

Choose a Restriction Field

Restriction Clauses Screenshot

Next

Delete a Restriction Clause
Update a Restriction Clause

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:32:19 PM


Delete a Restriction Clause

  1. Select a restriction clause from the top list.
  2. In the Restriction SQL Clause Information section, select Delete.

See Also

Clauses

View a Restriction Clause

Add a Restriction Clause

Update a Restriction Clause

Choose a Restriction Field

Restriction Clauses Screenshot

Next

Choose a Restriction Field
Delete a Restriction Clause

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:32:25 PM


Choose a Restriction Field

In this dropdown box to the right of the Value field, there is shorthand notation for five restriction fields. The values that can be selected are:

  • |restriction1|
  • |restriction2|
  • |restriction3|
  • |restriction4|
  • |restriction5|

These values represent the restrictions of the current user (to be filled in when the query is executed). For example, suppose you want to restrict queries on the site table so that a user can only see the sites that match their restrictions. And suppose that you add five fields to table_site named x_res1, x_res2…, x_res5. In this situation you would likely have the following five restriction clauses:

  • x_res1 = |restriction1|
  • x_res2 = |restriction2|
  • x_res3 = |restriction3|
  • x_res4 = |restriction4|
  • x_res5 = |restriction5|

These clauses mean that any query on the site table will have additional clauses added by Dovetail SDK to make sure that the x_res1 field (for example) is equal to the current user's restriction.

To continue the example, suppose a user belongs to a restriction group where level 1 = 'AOL' and levels 2 through 5 are blank, and he writes the following code:

Dim site_rec as fcGeneric

Set site_rec = fc_session.CreateGeneric

site_rec.DBObjectName = "site"

site_rec.AppendFilter "name", "like", "n"

site_rec.Query

The code that Dovetail SDK will generate will look like this:

select * from table_site where name like 'n%' and x_res1 = 'AOL'

The programmer doesn't know about the restrictions and doesn't care. Another user, with no restrictions, would have only the first clause (name like 'n%') in their query. The clauses for levels 2-5 are ignored in this case, because the user has no levels 2-5 restrictions.

See Also
Clauses
View a Restriction Clause
Add a Restriction Clause
Update a Restriction Clause
Delete a Restriction Clause
Restriction Clauses Screenshot

Next
Restriction Clauses Screenshot

 Choose a Restriction Field

            Did this topic help you? Email us your feedback.

Last updated: 10/17/2007 4:32:53 PM


Restriction Clauses Screenshot

See Also

Clauses

View a Restriction Clause

Add a Restriction Clause

Update a Restriction Clause

Delete a Restriction Clause

Choose a Restriction Field

Next

Tables
Restriction Clauses Screenshot

Did this topic help you? Email us your feedback.
Last updated: 2/25/2009 11:39:15 AM


Tables

This page allows an administrator to describe what database tables are restricted. Restricted tables have additional fields which contain the data used to restrict what data certain users can view.

See Also

Data Restriction

Groups

Clauses

Next

View a Restriction Table
Tables

Did this topic help you? Email us your feedback.
Last updated: 7/18/2007 9:41:38 AM


View a Restriction Table

  1. To view existing restriction tables, select List.

    Note: You may optionally specify filter criteria before selecting List.

  2. To view the restriction table details, select the table in the list.

See Also

Tables

Add a Restriction Table

Update a Restriction Table

Delete a Restriction Table

Restriction Tables Screenshot

Next

Add a Restriction Table
View a Restriction Table

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:33:21 PM


Add a Restriction Table

  1. In the Restriction Table Information section, use the dropdown list to select the table to restrict. You may also optionally enter data for restriction fields 1-5.
  2. To save, select Add Res Table.

See Also

Tables

View a Restriction Table

Update a Restriction Table

Delete a Restriction Table

Restriction Tables Screenshot

Next

Update a Restriction Table
Add a Restriction Table

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:33:14 PM


Update a Restriction Table

  1. Select the restriction table from the top list.
  2. In the Restriction Table Information section, enter the updates.
  3. Select Update.

See Also

Tables

View a Restriction Table

Add a Restriction Table

Delete a Restriction Table

Restriction Tables Screenshot

Next

Delete a Restriction Table
Update a Restriction Table

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:33:28 PM


Delete a Restriction Table

  1. Select the restriction table from the top list.
  2. In the Restriction Table Information section, select Delete.

See Also

Tables

View a Restriction Table

Add a Restriction Table

Update a Restriction Table

Restriction Tables Screenshot

Next

Restriction Tables Screenshot
Delete a Restriction Table

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:33:36 PM


Restriction Tables Screenshot

See Also

Tables

View a Restriction Table

Add a Restriction Table

Update a Restriction Table

Delete a Restriction Table

Next

Geography
Restriction Tables Screenshot

Did this topic help you? Email us your feedback.
Last updated: 2/25/2009 11:39:39 AM


Geography

In This Chapter

Countries

States

Time Zones

Zip Codes

Currencies

Next

Countries
Geography

Did this topic help you? Email us your feedback.
Last updated: 8/16/2007 3:11:24 PM


Countries

Here you can manage the countries that appear in your system.

See Also

Geography

States

Time Zones

Zip Codes

Currencies

Next

View a Country
Countries

Did this topic help you? Email us your feedback.
Last updated: 7/18/2007 12:33:51 PM


View a Country

  1. To view existing countries, select List.

    Note: You may optionally specify filter criteria before selecting List.

  2. To view the country details, select the country in the list.

See Also

Countries

Add a Country

Update a Country

Delete a Country

Countries Screenshot

Next

Add a Country
View a Country

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:35:14 PM


Add a Country

  1. In the Country Details section, enter the new country data.

    Note: If a country requires an unlisted currency type, define it first. Go to the Currencies section for more information.

  2. To save, select Add.

See Also

Countries

View a Country

Update a Country

Delete a Country

Countries Screenshot

Next

Update a Country
Add a Country

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:35:06 PM


Update a Country

  1. Select the country from the top list.
  2. In the Country Details section, enter the updates.

    Note: If a country requires an unlisted currency type, define it first. Go to the Currencies section for more information.

  3. Below Country Details, select Update.

See Also

Countries

View a Country

Add a Country

Delete a Country

Countries Screenshot

Next

Delete a Country
Update a Country

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:35:35 PM


Delete a Country

  1. Select the country from the top list.
  2. Below Country Details, select Delete.

See Also

Countries

View a Country

Add a Country

Update a Country

Countries Screenshot

Next

Countries Screenshot
Delete a Country

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:35:43 PM


Countries Screenshot

See Also

Countries

View a Country

Add a Country

Update a Country

Delete a Country

Next

States
Countries Screenshot

Did this topic help you? Email us your feedback.
Last updated: 2/25/2009 11:39:59 AM


States

To modify the countries shown in the State Details Country list, see the Countries section.

See Also

Geography

Countries

Time Zones

Zip Codes

Currencies

Next

View a State
States

Did this topic help you? Email us your feedback.
Last updated: 7/18/2007 10:06:52 AM


View a State

  1. To view existing states, select List.

    Note: You may optionally specify filter criteria before selecting List.

  2. To view the state details, select the state in the list.

See Also

States

Add a State

Update a State

Delete a State

States Screenshot

Next

Add a State
View a State

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:36:19 PM


Add a State

  1. In the State Details section, enter the new state data.
  2. To save, select Add.

See Also

States

View a State

Update a State

Delete a State

States Screenshot

Next

Update a State
Add a State

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:36:10 PM


Update a State

  1. Select a state from the top list.
  2. In the State Details section, enter the updates.
  3. Select Update.

See Also

States

View a State

Add a State

Delete a State

States Screenshot

Next

Delete a State
Update a State

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:36:24 PM


Delete a State

  1. Select a state from the top list.
  2. In the State Details section, select Delete.

See Also

States

View a State

Add a State

Update a State

States Screenshot

Next

States Screenshot
Delete a State

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:36:32 PM


States Screenshot

See Also

States

View a State

Add a State

Update a State

Delete a State

Next

Time Zones
States Screenshot

Did this topic help you? Email us your feedback.
Last updated: 2/25/2009 11:40:29 AM


Time Zones

To specify when daylight savings time is valid for a selected time zone, add, update, or delete Daylight Hour records.

See Also

Geography

Countries

States

Zip Codes

Currencies

Next

View a Time Zone
Time Zones

Did this topic help you? Email us your feedback.
Last updated: 7/18/2007 10:00:26 AM


View a Time Zone

  1. To view existing time zones, select List.

    Note: You may optionally specify filter criteria before selecting List.

  2. To view time zone details, select the time zone from the list.

See Also

Time Zones

Add a Time Zone

Update a Time Zone

Delete a Time Zone

Modify a Time Zone Country

Add a Daylight Hour Record

Update a Daylight Hour Record

Delete a Daylight Hour Record

Time Zones Screenshot

Next

Add a Time Zone
View a Time Zone

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:42:16 PM


Add a Time Zone

  1. In the Time Zone Details section, enter the new time zone data.
  2. To save, select Add Time Zone.

See Also

Time Zones

View a Time Zone

Update a Time Zone

Delete a Time Zone

Modify a Time Zone Country

Add a Daylight Hour Record

Update a Daylight Hour Record

Delete a Daylight Hour Record

Time Zones Screenshot

Next

Update a Time Zone
Add a Time Zone

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:43:50 PM


Update a Time Zone

  1. Select the time zone from the top list.
  2. In the Time Zone Details section, enter the updates under Details tab, Countries tab, and/or Daylight Hrs tab.
  3. Select Update Time Zone.

See Also

Time Zones

View a Time Zone

Add a Time Zone

Delete a Time Zone

Modify a Time Zone Country

Add a Daylight Hour Record

Update a Daylight Hour Record

Delete a Daylight Hour Record

Time Zones Screenshot

Next

Delete a Time Zone
Update a Time Zone

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:43:57 PM


Delete a Time Zone

  1. Select the time zone from the top list.
  2. In the Time Zone Details section, select Delete Time Zone.

    Note: Deleting a time zone also deletes all daylight hour records for that time zone.

See Also

Time Zones

View a Time Zone

Add a Time Zone

Update a Time Zone

Modify a Time Zone Country

Add a Daylight Hour Record

Update a Daylight Hour Record

Delete a Daylight Hour Record

Time Zones Screenshot

Next

Modify a Time Zone Country
Delete a Time Zone

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:44:13 PM


Modify a Time Zone Country

To modify the countries shown in this list, see the Countries section.

  1. Select the time zone from the top list.
  2. In the Time Zone Details section, select the Countries tab.
  3. To change the country associated with the time zone, check or uncheck the appropriate box.
  4. Select Update Time Zone.

See Also

Time Zones

View a Time Zone

Add a Time Zone

Update a Time Zone

Delete a Time Zone

Add a Daylight Hour Record

Update a Daylight Hour Record

Delete a Daylight Hour Record

Time Zones Screenshot

Next

Add a Daylight Hour Record
Modify a Time Zone Country

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:44:30 PM


Add a Daylight Hour Record

  1. Select the time zone from the top list.
  2. In the Time Zone Details section, select the Daylight Hrs tab.
  3. To select the Starts at date and Ends at date, click the [image] button under Daylight Hour Details.
  4. In the Daylight Hour Details section, select Add.

See Also

Time Zones

View a Time Zone

Add a Time Zone

Update a Time Zone

Delete a Time Zone

Modify a Time Zone Country

Update a Daylight Hour Record

Delete a Daylight Hour Record

Time Zones Screenshot

Next

Update a Daylight Hour Record
Add a Daylight Hour Record

Did this topic help you? Email us your feedback.
Last updated: 10/24/2007 10:26:28 AM


Update a Daylight Hour Record

  1. Select the time zone from the top list.
  2. In the Time Zone Details section, select the Daylight Hrs tab.
  3. Select the daylight hour record in the list.
  4. In the Daylight Hour Details section, enter the updates.
  5. Select Update.

See Also

Time Zones

View a Time Zone

Add a Time Zone

Update a Time Zone

Delete a Time Zone

Modify a Time Zone Country

Add a Daylight Hour Record

Delete a Daylight Hour Record

Time Zones Screenshot

Next

Delete a Daylight Hour Record
Update a Daylight Hour Record

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:45:25 PM


Delete a Daylight Hour Record

  1. Select the time zone from the top list.
  2. In the Time Zone Details section, click the Daylight Hrs tab.
  3. Select the daylight hour record in the list.
  4. In the Daylight Hour Details section, select Delete.

See Also

Time Zones

View a Time Zone

Add a Time Zone

Update a Time Zone

Delete a Time Zone

Modify a Time Zone Country

Add a Daylight Hour Record

Update a Daylight Hour Record

Time Zones Screenshot

Next

Time Zones Screenshot
Delete a Daylight Hour Record

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:45:32 PM


Time Zones Screenshot

See Also

Time Zones

View a Time Zone

Add a Time Zone

Update a Time Zone

Delete a Time Zone

Modify a Time Zone Country

Add a Daylight Hour Record

Update a Daylight Hour Record

Delete a Daylight Hour Record

Next

Zip Codes
Time Zones Screenshot

Did this topic help you? Email us your feedback.
Last updated: 2/25/2009 11:40:46 AM


Zip Codes

The Zipcodes entered here can be used in Dovetail Agent to automatically populate city, state, country, and time zone fields.

See Also

Geography

Countries

States

Time Zones

Currencies

Next

View a Zip Code
Zip Codes

Did this topic help you? Email us your feedback.
Last updated: 7/19/2007 9:49:50 AM


View a Zip Code

  1. To view existing codes, select List.

    Note: You may optionally specify filter criteria before selecting List.

  2. To view zip code details, select the zip code from the list.

See Also

Zip Codes

Add a Zip Code

Update a Zip Code

Delete a Zip Code

Zip Codes Screenshot

Next

Add a Zip Code
View a Zip Code

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:46:10 PM


Add a Zip Code

  1. In the Zip code Details section, enter the new zip code data.

    Note: You must fill all fields to Add.

  2. To save, select Add.

See Also

Zip Codes

View a Zip Code

Update a Zip Code

Delete a Zip Code

Zip Codes Screenshot

Next

Update a Zip Code
Add a Zip Code

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:45:57 PM


Update a Zip Code

  1. Select the zip code from the top list.
  2. In the Zip code Details section, enter the updates.
  3. Select Update.

See Also

Zip Codes

View a Zip Code

Add a Zip Code

Delete a Zip Code

Zip Codes Screenshot

Next

Delete a Zip Code
Update a Zip Code

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:46:16 PM


Delete a Zip Code

  1. Select the zip code from the top list.
  2. In the Zip code Details section, select Delete.

See Also

Zip Codes

View a Zip Code

Add a Zip Code

Update a Zip Code

Zip Codes Screenshot

Next

Zip Codes Screenshot
Delete a Zip Code

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:46:24 PM


Zip Codes Screenshot

See Also

Zip Codes

View a Zip Code

Add a Zip Code

Update a Zip Code

Delete a Zip Code

Next

Currencies
Zip Codes Screenshot

Did this topic help you? Email us your feedback.
Last updated: 2/25/2009 11:41:04 AM


Currencies

Here you can manage the currencies that can be used in your system.

See Also

Geography

Countries

States

Time Zones

Zip Codes

Next

View a Currency
Currencies

Did this topic help you? Email us your feedback.
Last updated: 7/18/2007 12:35:06 PM


View a Currency

  1. To view existing currencies, select List.

    Note: You may optionally specify filter criteria before selecting List.

  2. To view the currency, select it in the list.

See Also

Currencies

Add a Currency

Update a Currency

Delete a Currency

Currencies Screenshot

Next

Add a Currency
View a Currency

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:46:42 PM


Add a Currency

  1. In the Currency Details section, enter the new currency data. Currency Name and ISO Code are the only required fields.
  2. To save, select Add.

See Also

Currencies

View a Currency

Update a Currency

Delete a Currency

Currencies Screenshot

Next

Update a Currency
Add a Currency

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:46:36 PM


Update a Currency

  1. Select the currency from the top list.
  2. In the Currency Details section, enter the updates.
  3. To save, select Update.

See Also

Currencies

View a Currency

Add a Currency

Delete a Currency

Currencies Screenshot

Next

Delete a Currency
Update a Currency

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:46:49 PM


Delete a Currency

  1. Select the currency from the top list.
  2. In the Currency Details section, select Delete.
  3. In the warning dialog box, select OK.

See Also

Currencies

View a Currency

Add a Currency

Update a Currency

Currencies Screenshot

Next

Currencies Screenshot
Delete a Currency

Did this topic help you? Email us your feedback.
Last updated: 10/17/2007 4:46:57 PM


Currencies Screenshot

See Also

Currencies

View a Currency

Add a Currency

Update a Currency

Delete a Currency

Next

User Passwords
Currencies Screenshot

Did this topic help you? Email us your feedback.
Last updated: 2/25/2009 11:46:29 AM


User Passwords

In This Chapter

Adding or Updating Users

Password Validation Rules

Next

Adding or Updating Users
User Passwords

Did this topic help you? Email us your feedback.
Last updated: 6/25/2014 11:26:13 AM


Adding or Updating Users

When creating new users (employees), there is an option to set the user's password for them, or send then an email telling them that their account has been created. This email will contain a link to where they can set their own password. The content of the email that is sent out is controlled by the "New User Account Email" com_tmplte, which is defined in the admin_new_user_account.dat file.

When updating users (employees), there is an option to send the user an email with instructions on how to reset their own password, as opposed to an administrator setting it for them. The content of the email that is sent out is controlled by the "Password Reset" com_tmplte, which is defined in the admin_password_reset.dat file.

The URL for where users can set/reset their password is a configuration item named "UserPasswordResetUrl". It is defined in the admin_password_reset_config.dat file. This file includes examples of password reset pages for Dovetail Agent 5.x, Dovetail Agent 4.x, and Dovetail Mobile. Edit this file to include the link that you wish new users to go to to reset their password, and ensure that the link location is correct for your environment.

See Also

User Passwords

Password Validation Rules

Next

Password Validation Rules
Adding or Updating Users

Did this topic help you? Email us your feedback.
Last updated: 6/24/2014 11:42:50 AM


Password Validation Rules

Password Validation rules can be activated, and will be used for both users and web users. The available rules are as follows:

  • Minimum Length
  • Prohibit Forbidden Non-Alpha Character
  • Prohibit Space Or Underscore
  • Require At Least One Lower Case Character
  • Require At Least One Upper Case Character
  • Require First Character Is Alpha Character (Oracle Only)
  • Require Letters
  • Require Mixed Case
  • Require Numbers
  • Require Special Chars
  • User Name Can't Be Password

These rules are each configured in the pages/config.js file. Set the minimum length to 0 if not required, or the length required. Set the other values to "true" to activate them, or "false" to turn them off.

See Also

User Passwords

Adding or Updating Users

Next

Path Editor
Password Validation Rules

Did this topic help you? Email us your feedback.
Last updated: 6/25/2014 10:51:16 AM


Path Editor

In a database management system, a path is what you use to locate and retrieve requested data. In Dovetail Admin and Dovetail Agent, you create these paths with the Path Editor, which is used by several forms.

The three essential components of a path are objects, fields, and relations. Every object in your database has fields and relations. Fields contain the actual data native to the object. Relations are pointers - they point to related data. With fields and relations, you can create data paths through your database to obtain needed information.

Paths can include as many relations as needed, in a chain, until you get to the final (destination) table, and then the path always terminates with a field on the destination table. Relations and fields in paths are always separated by colons. If the path only includes a field on the starting table, it has no colons in the path string.

For example,the following are all valid paths using table_case:

  • id_number
  • title
  • case_reporter2contact:first_name
  • case_reporter2site:name
  • case_reporter2site:cust_primaddr2address:address

The Path Editor is a simplified way of entering paths. You need to know your data model and the pathways to your destination object and field, but the Path Editor removes the tedium from entering paths and the common typing mistakes (and debugging time) associated with entering paths manually.

Create a New Path

  1. Select Path from the form. The Path Editor will open up and show four key fields:
    • Current Object: The name of the current table or view.
    • Fields: The fields for the current object.
    • Relations: The relations for the current table (empty for views).
    • Path: The path you are creating. This section is read-only and empty for views.
  2. For Queries only: select the JOIN type:
    • INNER JOIN: The current and all subsequent relations for this path will use INNER JOIN mechanism.
    • LEFT OUTER JOIN: The current and all subsequent relations for this path will use LEFT OUTER JOIN mechanism.
    • FULL OUTER JOIN: The current and all subsequent relations for this path will use FULL OUTER JOIN mechanism (not available for Oracle database version 8.x).
  3. Double-click a relation. It will be moved to the Path section.
    • Add a relation: Add as many relations as needed. Adding a relation is not required to create a path. Once a relation is added to the path, the current object will change accordingly, as will the fields and relations. MTO relations can be used as Query Properties to filter on the current object being related to the relation target - after adding an MTO relation, click Done.
    • Remove a relation: To remove the most recent relation added to the path, select Up Level.
    • Leave the Path Editor: To leave the Path Editor without selecting a path, select Done.
  4. Double-click a field name. Once a field is selected, the Path Editor will close, and the full path with the field name will be moved to the form.

Path Editor for Business Rules Properties screenshot:

Path Editor for Queries screenshot:

Next

Copyright Notice and Trademarks
Path Editor

Did this topic help you? Email us your feedback.
Last updated: 6/25/2014 11:06:20 AM


Copyright Notice and Trademarks

Copyright © 2010 Dovetail Software, Inc.
All rights reserved

Dovetail Software intends the information in this document solely for its licensees and to aid prospective customers in evaluating Dovetail Software products. Any other use is prohibited. Dovetail Software makes a written warranty to its licensees, as is stated in its written license agreement. Dovetail Software makes no warranty to any other party regarding the accuracy or usefulness of the information contained in this document. Dovetail Software reserves the right to modify the content of this document without obligation to notify any party. Dovetail Software is not liable for consequential or incidental damages.

Dovetail Software develops and supplies software and customizations to the following Clarify products: ClearSupport, ClearQuality, ClearHelpDesk, ClearContracts, Policies and Customers, ClearSales, ProductManager, ClearCallCenter, and ClearLogistics.

ManyDovetail Software products use the following Clarify tools: User Interface Editor, ClearBasic Exchange, Data Dictionary Editor, ClearBasic Batch, Data Exchange, Clarify Business Objects, RuleManager, eBusiness Framework, ClearBasic, and Clarify Low-Level API©.

Clarify, its product names, and tools are trademarks of Amdocs, which may include the following: AmdocsCRM, ClearConfigurator, SalesBasic, ClearConfigurator Workshop, Notifier, eSupport, Classification Engine, eOrder Routing Server, eResponse Manager, ClearEnterprise, Email Clerk, Email Manager, Traveler, e.link, Diagnosis Engine, and Flexible Deployment.

Copyright Notice and Trademarks

Did this topic help you? Email us your feedback.
Last updated: 8/20/2015 4:06:24 PM


Dovetail Admin


Did this topic help you? Email us your feedback.
Last updated: 6/23/2016 9:16:28 AM


Contents Index Search